#
# *mm* series kernels now use kernel.org versioning
#
%define kernelversion	2
%define patchlevel	6
%define sublevel	17

# kernel Makefile extraversion is substituted by 
# kpatch/kstable wich are either 0 (empty), pre/rc (kpatch) or stable release (kstable)
%define kpatch		0
%define kstable		13
# this is the releaseversion
%define kbuild		3

#sometimes it's easier to d/l an updated kernel
%define kstable_tar     1

%define ktag 		mm
%define kname 		kernel-multimedia

%define rpmtag		%distsuffix
%define rpmrel		%mkrel %{kbuild}

# theese two never change, they are used to fool rpm/urpmi/smart
%define fakever		1
%define fakerel		%mkrel 1

# on Orion, rpm doesn't know about powerpc yet, temp workaround
%define powerpc		powerpc ppc
%define target_arch     %(echo %{_arch} | sed -e "s/ppc/powerpc/") 

# When we are using a pre/rc patch, the tarball is a sublevel -1
%if %kpatch
%define kversion  %{kernelversion}.%{patchlevel}.%{sublevel}-0.%{kpatch}
%define tar_ver	  %{kernelversion}.%{patchlevel}.%(expr %{sublevel} - 1)
%else
%if %kstable
%define kversion  %{kernelversion}.%{patchlevel}.%{sublevel}.%{kstable}
%define tar_ver   %{kernelversion}.%{patchlevel}.%{sublevel}
%else
%define kversion  %{kernelversion}.%{patchlevel}.%{sublevel}
%define tar_ver   %{kversion}
%endif
%endif

%if %kstable_tar
%define tar_ver   %{kernelversion}.%{patchlevel}.%{sublevel}.%{kstable_tar}
%endif

%define patch_ver %{kversion}-%{ktag}%{kbuild}
%define kverrel   %{kversion}-%{rpmrel}

# used for not making too long names for rpms or search paths 
%define buildrpmrel  %{kbuild}%{rpmtag}
%define buildrel     %{kversion}-%{buildrpmrel}

# having different top level names for packges means that you have to remove them by hard :(
%define top_dir_name %{kname}-%{target_arch}

%define build_dir %{_builddir}/%{top_dir_name}
%define src_dir %{build_dir}/linux-%{tar_ver}

# disable useless debug rpms...
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

#generate our own provides
%define _use_internal_dependency_generator 0
%define __original_find_provides %(/bin/rpm --eval '%%{__find_provides}')
%define __find_provides %{build_dir}/find-kmod-provides.sh

#post script
%define postfile preload_mods.sh

# Build defines
%define build_kheaders 0
%define build_debug 0
%define build_doc 0
%define build_source 1
%define build_source_stripped 1

# Build desktop i686/4GB / x86_64 / powerpc
%define build_desktop_up  1
%define build_desktop_smp 1

# Build laptop i686/4GB / x86_64 / powerpc
%define build_laptop_up  1
#no need for smp laptop kernel on powerpc
%ifnarch %{powerpc}
%define build_laptop_smp 1
%else
%define build_laptop_smp 0
%endif

%define preload_realcap 0

# End of user definitions
%{?_without_desktop_up: %global build_desktop_up 0}
%{?_without_desktop_smp: %global build_desktop_smp 0}
%{?_without_laptop_up: %global build_laptop_up 0}
%{?_without_laptop_smp: %global build_laptop_smp 0}
%{?_without_debug: %global build_debug 0}
%{?_without_doc: %global build_doc 0}
%{?_without_source: %global build_source 0}
%{?_without_source_stripped: %global build_source_stripped 0}

%{?_with_desktop_up: %global build_desktop_up 1}
%{?_with_desktop_smp: %global build_desktop_smp 1}
%{?_with_laptop_up: %global build_laptop_up 1}
%{?_with_laptop_smp: %global build_laptop_smp 1}
%{?_with_debug: %global build_debug 1}
%{?_with_doc: %global build_doc 1}
%{?_with_source: %global build_source 1}
%{?_with_source_stripped: %global build_source_stipped 1}

%{?_with_kheaders: %global build_kheaders 1}
%{?_with_realcap: %global preload_realcap 1}

# for the nosrc rpms
%define build_nosrc 0
%{?_with_nosrc: %global build_nosrc 1}

%define kmake %make
# there are places where parallel make don't work
%define smake make

# SRC RPM definitions
Summary: Linux kernel built for Mandriva with modifications for low latency
Name: 	 %{kname}
Version: %{kversion}
Release: %{rpmrel}
License: GPL
Group: 	 System/Kernel and hardware
ExclusiveArch: %{ix86} x86_64 %{powerpc}
ExclusiveOS: Linux
URL: http://www.kernel.org/

####################################################################
#
# Sources
#
### This is for full SRC RPM
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/linux-%{tar_ver}.tar.bz2
Source1: ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/linux-%{tar_ver}.tar.bz2.sign
### This is for stripped SRC RPM
%if %build_nosrc
NoSource: 0
%endif

Source4: README.kernel-%{ktag}-sources
Source5: README.Mandriva_Linux_%{ktag}
Source6: Changelog.kernel
Source7: README.%{ktag}.urpmi

Source15: kernel-%{ktag}-mdvconfig.h
Source16: kernel-%{ktag}-merge-config.awk

Source20: find-kmod-provides.sh
Source100: linux-%{patch_ver}.tar.bz2

####################################################################
#
# Patches

#
# Patch0 to Patch100 are for core kernel upgrades.
#

# Pre linus patch: ftp://ftp.kernel.org/pub/linux/kernel/v2.6/testing

#%if %kpatch
#Patch1:   ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/testing/patch-%{kversion}.bz2
#Source10: ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/testing/patch-%{kversion}.bz2.sign
#%elseif %kstable
#Patch1:   ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/patch-%{kversion}.bz2
#Source10: ftp://ftp.kernel.org/pub/linux/kernel/v%{kernelversion}.%{patchlevel}/patch-%{kversion}.bz2.sign
#%endif

#END
####################################################################

# Defines for the things that are needed for all the kernels
#
%define kinfo1 The kernel package contains the Linux kernel (vmlinuz), the core of your
%define kinfo2 Mandriva Linux operating system.  The kernel handles the basic functions
%define kinfo3 of the operating system:  memory allocation, process allocation, device

%define updateinfo1 For instructions for update, see:
%define updateinfo2 http://www.mandriva.com/security/kernelupdate

%define info1 The %{ktag} kernels is an experimental kernel based on the kernel.org 
%define info2 kernels with added patches. Some of them may/will never end up in
%define info3 the main kernels due to their experimental nature. Some refer to
%define info4 this kernel as a 'hackkernel' ...
%define info5 Use these kernels at your own risk !!

%define info10 If you want more info on the various %{kname} flavours, please visit:
%define info11 http://www.iki.fi/tmb/Multimedia_Kernels/
 
### Global Requires/Provides
#remember to up this for modular ide again!
%define requires1 mkinitrd >= 4.2.17-%mkrel 22
%define requires2 bootloader-utils >= 1.12-%mkrel 1 drakxtools-backend >= 10.4.67-%mkrel 1
%define requires3 sysfsutils >= 1.3.0-%mkrel 1 module-init-tools >= 3.2-0.pre8.%mkrel 2

%define kprovides %{kname} = %{kverrel}, kernel = %{kversion}, alsa, drbd-api = 83

BuildRoot: %{_tmppath}/%{kname}-%{kversion}-build
Autoreqprov: no
Requires(pre): %requires1
Requires(pre): %requires2
Requires(pre): %requires3
BuildRequires: gcc >= 4.0.1-%mkrel 5 module-init-tools >= 3.2-0.pre8.%mkrel 2

%description
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc.

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-desktop: i686, up, 4GB
#

%package -n %{kname}-desktop-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Provides: %kprovides
Requires(pre): %requires1
Requires(pre): %requires2
Requires(pre): %requires3
%ifarch %{ix86}
Summary: Linux kernel for desktop use with i686-up-4GB 
%else
Summary: Linux kernel for desktop use with %{target_arch}
%endif
Group: System/Kernel and hardware

%ifarch %{ix86}
%description -n %{kname}-desktop-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for desktop use, single
i686 processor/core and less than 4GB RAM, full preempt, low latency
and cfq scheduler.
%else
%description -n %{kname}-desktop-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for desktop use, single
%{target_arch} processor/core, full preempt, low latency and cfq scheduler.
%endif

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-desktop-smp: i686, smp, 4GB
#

%package -n %{kname}-desktop-smp-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Provides: %kprovides
Requires(pre): %requires1
Requires(pre): %requires2
Requires(pre): %requires3
%ifarch{ix86}
Summary: Linux kernel for desktop use with i686-smp-4GB 
%else
Summary: Linux kernel for desktop use with %{target_arch}-smp
%endif 
Group: System/Kernel and hardware

%ifarch{ix86}
%description -n %{kname}-desktop-smp-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for desktop use, multiple
i686 processors/cores and less than 4GB RAM, full preempt, low latency
and cfq scheduler.
%else
%description -n %{kname}-desktop-smp-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for desktop use, multiple
%{target_arch} processors/cores, full preempt, low latency and cfq scheduler.
%endif

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-laptop: i686, up, 4GB
#

%package -n %{kname}-laptop-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Provides: %kprovides
Requires(pre): %requires1
Requires(pre): %requires2
Requires(pre): %requires3
%ifarch %{ix86}
Summary: Linux kernel for laptop use with i686-up-4GB 
%else
Summary: Linux kernel for laptop use with %{target_arch}
%endif
Group: System/Kernel and hardware

%ifarch %{ix86}
%description -n %{kname}-laptop-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for laptop use, single
i686 processor/core and less than 4GB RAM, using HZ_100 to save battery,
voluntary preempt and cfq scheduler, and some other laptop-specific
optimizations. If you want to sacrifice battery life for performance,
you better use the %{kname}-desktop.
%else
%description -n %{kname}-laptop-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for laptop use, single
%{target_arch} processor/core, using HZ_100 to save battery, voluntary preempt 
and cfq scheduler, and some other laptop-specific optimizations. If you 
want to sacrifice battery life for performance, you better use the 
%{kname}-desktop.
%endif

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-laptop-smp: i686, smp, 4GB
#

%package -n %{kname}-laptop-smp-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Provides: %kprovides
Requires(pre): %requires1
Requires(pre): %requires2
Requires(pre): %requires3
%ifarch{ix86}
Summary: Linux kernel for laptop use with i686-smp-4GB 
%else
Summary: Linux kernel for laptop use with %{target_arch}-smp
%endif 
Group: System/Kernel and hardware

%ifarch{ix86}
%description -n %{kname}-laptop-smp-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for laptop use, multiple
i686 processors/cores and less than 4GB RAM, using HZ_100 to save battery,
voluntary preempt and cfq scheduler, and some other laptop-specific
optimizations. If you want to sacrifice battery life for performance,
you better use the %{kname}-desktop-smp.
%else
%description -n %{kname}-laptop-smp-%{buildrel}
%{kinfo1}
%{kinfo2}
%{kinfo3}
input and output, etc. This kernel is compiled for desktop use, multiple
%{target_arch} processors/cores, using HZ_100 to save battery, voluntary preempt 
and cfq scheduler, and some other laptop-specific optimizations. If you 
want to sacrifice battery life for performance, you better use the 
%{kname}-desktop-smp.
%endif

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-source
#
%package -n %{kname}-source-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Requires: glibc-devel, ncurses-devel, make, gcc, perl, binutils
#for x and gconfig:
Requires: libqt-devel, gtk2-devel, libglade2.0-devel
Summary: The source code for the Linux %{kname}-%{buildrel}  
Group: Development/Kernel
Autoreqprov: no
Provides: kernel-source kernel-source-fbsplash
Conflicts: %{kname}-source-stripped-%{buildrel}

%description -n %{kname}-source-%{buildrel}
The kernel-source package contains the source code files for the %{ktag} 
Linux kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-source-stripped
#
%package -n %{kname}-source-stripped-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Requires: glibc-devel, ncurses-devel, make, gcc, perl
Summary: The stripped source code for the Linux %{kname}-%{buildrel}  
Group: Development/Kernel
Autoreqprov: no
Provides: kernel-source kernel-source-fbsplash
Requires(pre): %{kname} = %{kverrel}
Conflicts: %{kname}-source-%{buildrel}

%description -n %{kname}-source-stripped-%{buildrel}
The kernel-source package contains the source code files for the %{ktag} 
Linux kernel. This is a stripped down version of the full %{kname}-source
that only holds the kernel-headers, Makefiles, KConfig files and some needed
binarys. This package should be sufficient to build external drivers against.

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-doc: documentation for the Linux kernel
#
%package -n %{kname}-doc-%{buildrel}
Version: %{fakever}
Release: %{fakerel}
Summary: Various documentation bits found in the %{kname} source
Group: Books/Computer books

%description -n %{kname}-doc-%{buildrel}
This package contains documentation files from the %{kname} source. 
Various bits of information about the Linux kernel and the device drivers 
shipped with it are documented in these files. You also might want install 
this package if you need a reference to the options that can be passed to 
Linux kernel modules at load time.

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-desktop-latest: virtual rpm
#
%package -n %{kname}-desktop-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-desktop
Group:   System/Kernel and hardware
Requires: %{kname}-desktop-%{buildrel}

%description -n %{kname}-desktop-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-desktop installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-desktop-smp-latest: virtual rpm
#
%package -n %{kname}-desktop-smp-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-desktop-smp
Group:   System/Kernel and hardware
Requires: %{kname}-desktop-smp-%{buildrel}

%description -n %{kname}-desktop-smp-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-desktop-smp installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-laptop-latest: virtual rpm
#
%package -n %{kname}-laptop-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-laptop
Group:   System/Kernel and hardware
Requires: %{kname}-laptop-%{buildrel}

%description -n %{kname}-laptop-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-laptop installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

#
# kernel-multimedia-laptop-smp-latest: virtual rpm
#
%package -n %{kname}-laptop-smp-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-laptop-smp
Group:   System/Kernel and hardware
Requires: %{kname}-laptop-smp-%{buildrel}

%description -n %{kname}-laptop-smp-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-laptop-smp installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-source-latest: virtual rpm
#
%package -n %{kname}-source-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-source
Group:   Development/Kernel
Requires: %{kname}-source-%{buildrel}
Conflicts: %{kname}-source-stripped-latest

%description -n %{kname}-source-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-source installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# kernel-multimedia-source-stripped-latest: virtual rpm
#
%package -n %{kname}-source-stripped-latest
Version: %{kversion}
Release: %{rpmrel}
Summary: Virtual rpm for latest %{kname}-source
Group:   Development/Kernel
Requires: %{kname}-source-stripped-%{buildrel}
Conflicts: %{kname}-source-latest

%description -n %{kname}-source-stripped-latest
This package is a virtual rpm that aims to make sure you always have the
latest %{kname}-source-stripped installed...

%{updateinfo1}
%{updateinfo2}

%{info1}
%{info2}
%{info3}
%{info4}
%{info5}

%{info10}
%{info11}

#
# End packages - here begins build stage
#
%prep
%setup -q -n %top_dir_name -c

%setup -q -n %top_dir_name -D -T -a100

%define patches_dir ../%{patch_ver}/

cd %src_dir
#%if %kpatch
#%patch1 -p1
#%elseif %kstable
#%patch1 -p1
#%endif

%{patches_dir}/scripts/apply_patches

# PATCH END
#
# Setup Begin
#

# Prepare all the variables for calling create_configs

%if %build_debug
%define debug --debug
%else
%define debug --no-debug
%endif

%{patches_dir}/scripts/create_configs %debug --user_arch="%{target_arch}"

# make sure the kernel has the sublevel we know it has...
LC_ALL=C perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

# get rid of unwanted files
find . -name '*~' -o -name '*.orig' -o -name '*.append' |xargs rm -f

%if %build_kheaders

kheaders_dirs=`echo $PWD/include/{asm-*,linux,sound}`

pushd %build_dir
install -d kernel-headers/
cp -a $kheaders_dirs kernel-headers/
tar cf kernel-headers-%{ktag}-%{buildrel}.tar kernel-headers/
bzip2 -9f kernel-headers-%{ktag}-%{buildrel}.tar
rm -rf kernel-headers/
# build_kheaders
%endif


%build
# Common target directories
%define _kerneldir /usr/src/%{kname}-%{buildrel}
%define _kdir_stripped /usr/src/%{kname}-stripped-%{buildrel}
%define _bootdir /boot
%define _modulesdir /lib/modules
%define _savedheaders ../../savedheaders/

# Directories definition needed for building
%define temp_root %{build_dir}/temp-root
%define temp_source %{temp_root}%{_kerneldir}
%define temp_boot %{temp_root}%{_bootdir}
%define temp_modules %{temp_root}%{_modulesdir}


PrepareKernel() {
	name=$1
	extension=$2
	echo "Make dep for kernel $extension"
	%smake -s mrproper

	# We can't use only defconfig anymore because we have the autoconf patch,
	
	if [ $name = ""]; then
	    cp arch/%{target_arch}/defconfig-maximum .config
	else
	    cp arch/%{target_arch}/defconfig-$name .config
	fi
	
# make sure EXTRAVERSION says what we want it to say
%if %kpatch
	LC_ALL=C perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -0.%{kpatch}-$extension/" Makefile
%else
%if %kstable
	LC_ALL=C perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = .%{kstable}-$extension/" Makefile
%else
	LC_ALL=C perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -$extension/" Makefile
%endif
%endif
	%smake oldconfig
}

BuildKernel() {
	KernelVer=$1
	echo "Building kernel $KernelVer"

	%kmake all

	## Start installing stuff
	install -d %{temp_boot}
	install -m 644 System.map %{temp_boot}/System.map-$KernelVer
	install -m 644 .config %{temp_boot}/config-$KernelVer

	%ifarch %{ix86} x86_64
	    cp -f arch/%{target_arch}/boot/bzImage %{temp_boot}/vmlinuz-$KernelVer
	%endif
	%ifarch %{powerpc}
	    cp -f vmlinux %{temp_boot}/vmlinuz-$KernelVer
	%endif

	# modules
	install -d %{temp_modules}/$KernelVer
	%smake INSTALL_MOD_PATH=%{temp_root} KERNELRELEASE=$KernelVer modules_install 
}


SaveHeaders() {
	headers=$1
	headers_name="`echo $headers | sed 's/-/_/g'`"
%if %build_source
	HeadersRoot=%{temp_source}/savedheaders
	HeadersArch=$HeadersRoot/%{target_arch}/$headers
	echo "Saving hearders for $headers %{target_arch}"

	# deal with the kernel headers that are version specific
	install -d $HeadersArch
	install -m 644 include/linux/autoconf.h $HeadersArch/autoconf.h
	install -m 644 include/linux/version.h $HeadersArch/version.h
	if [ "$headers" != "BOOT" ]; then
		grep -e " __crc_" -e " __ksymtab_" System.map > include/linux/symtab-$headers
	fi
    	echo "%{target_arch} $headers_name %{_savedheaders}%{target_arch}/$headers/" >> $HeadersRoot/list
%endif
}

CreateFiles() {
	fileflavour=$1
	filecpu=$2
	
	if [ "$filecpu" != "" ]; then
		output=../kernel_files.$fileflavour$filecpu
	else
		output=../kernel_files.$fileflavour
	fi
	
	echo "%defattr(-,root,root)" > $output
	echo "%{_bootdir}/config-%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu" >> $output
	echo "%{_bootdir}/vmlinuz-%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu" >> $output
	echo "%{_bootdir}/System.map-%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu" >> $output
	echo "%dir %{_modulesdir}/%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu/" >> $output
	echo "%{_modulesdir}/%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu/kernel" >> $output
	echo "%{_modulesdir}/%{kversion}-%{ktag}-$fileflavour-%{buildrpmrel}$filecpu/modules.*" >> $output
	echo "%doc README.kernel-%{ktag}-sources" >> $output
	echo "%doc README.Mandriva_Linux_%{ktag}" >> $output
	echo "%doc Changelog.kernel" >> $output
	echo "%doc README.urpmi" >> $output
}

CreateKernel() {
	flavour=$1
	processor=$2

	PrepareKernel $flavour$processor %{ktag}-$flavour-%{buildrpmrel}$processor

	BuildKernel %{kversion}-%{ktag}-$flavour-%{buildrpmrel}$processor
	SaveHeaders $flavour$processor
	CreateFiles $flavour $processor

}

###
# DO it...
###

# Create a simulacro of buildroot
rm -rf %{temp_root}
install -d %{temp_root}

#make sure we are in the directory
cd %src_dir

%if %build_desktop_smp
CreateKernel desktop smp
%endif

%if %build_desktop_up
CreateKernel desktop ""
%endif

%if %build_laptop_smp
CreateKernel laptop smp
%endif

%if %build_laptop_up
CreateKernel laptop ""
%endif

# We don't make to repeat the depend code at the install phase
%if %build_source
    PrepareKernel "" %{buildrpmrel}mmcustom
%smake -s prepare
%smake -s scripts
%endif

###
### install
###
%install
install -m 644 %{SOURCE4}  .
install -m 644 %{SOURCE5}  .
install -m 644 %{SOURCE6}  .
install -m 644 %{SOURCE7}  README.urpmi
install -m 755 %{SOURCE20} .

# create post file to preload modules
cat > preload_mods.sh <<EOF
if [ -x /sys/devices/platform/i8042 ]; then 
        grep -q -s "psmouse" /etc/modprobe.preload || \
        /bin/echo -e "\npsmouse" >> /etc/modprobe.preload
fi

%ifarch %{ix86} x86_64
grep -q -s "pcspkr" /etc/modprobe.preload || \
        /bin/echo -e "\npcspkr" >> /etc/modprobe.preload
%endif

grep "^realcap"  /etc/modprobe.preload &> /dev/null
if [ \$? -eq 0 ] ; then
        perl -pi -e 's;realcap;realtime;' /etc/modprobe.preload
fi
grep "^realtime"  /etc/modprobe.preload &> /dev/null

if [ \$? -ne 0 ] ; then
        grep "^capability"  /etc/modprobe.preload &> /dev/null
        if [ \$? -ne 0 ] ; then
%if %preload_realcap
           /bin/echo -e "\nrealtime" >> /etc/modprobe.preload
%else
           /bin/echo -e "\nPreloading capability security module,"
           /bin/echo -e "if you want to activate realtime capabilities"
           /bin/echo -e "comment out/delete the line containing capability"
           /bin/echo -e "and add on a new line \"realtime\", and adjust"
           /bin/echo -e "the realtime module options in /etc/modprobe.conf."

           /bin/echo -e "\ncapability" >> /etc/modprobe.preload
%endif
        fi
%if %preload_realcap
        if [ \$? -eq 0 ] ; then
           perl -pi -e 's;capability;realtime;' /etc/modprobe.preload
        fi
%endif
fi
EOF

cd %src_dir
# Directories definition needed for installing
%define target_source %{buildroot}%{_kerneldir}
%define target_source_stripped %{buildroot}%{_kdir_stripped}
%define target_boot %{buildroot}%{_bootdir}
%define target_modules %{buildroot}%{_modulesdir}

# We want to be able to test several times the install part
rm -rf %{buildroot}
cp -a %{temp_root} %{buildroot}

# Create directories infastructure
%if %build_source
install -d %{target_source} 

tar cf - . | tar xf - -C %{target_source}
chmod -R a+rX %{target_source}

#link defconfig to the one of the running kernel. Some extern scripts seem to use this
#should we do the same for .config?
for i in i386 x86_64 um powerpc ppc sparc sparc64; do
ln -sf /boot/config %{target_source}/arch/$i/defconfig
done

# we remove all the source files that we don't ship

# first architecture files
for i in alpha arm arm26 cris frv h8300 ia64 mips m32r m68k m68knommu parisc ppc sh sh64 sparc sparc64 s390 v850 xtensa; do
	rm -rf %{target_source}/arch/$i
	rm -rf %{target_source}/include/asm-$i
done
%ifnarch %{ix86} x86_64
	rm -rf %{target_source}/arch/i386
	rm -rf %{target_source}/arch/x86_64
	rm -rf %{target_source}/arch/um
	rm -rf %{target_source}/include/asm-i386
	rm -rf %{target_source}/include/asm-x86_64
	rm -rf %{target_source}/include/asm-um
%endif
%ifnarch %{powerpc}
	rm -rf %{target_source}/arch/powerpc
	rm -rf %{target_source}/include/asm-powerpc
%endif

# remove config split dir
rm -rf %{target_source}/include/config

# other misc files
rm -f %{target_source}/{.config.old,.config.cmd,.tmp_gas_check}

# We need this to prevent someone doing a make *config without mrproper
#touch %{target_source}/.need_mrproper

pushd %{target_source}/include/linux ; {
install -m 644 %{SOURCE15} rhconfig.h
rm -rf autoconf.h version.h
# Create autoconf.h file
echo '#include <linux/rhconfig.h>' > autoconf.h
sed 's,$,autoconf.h,' %{_savedheaders}list | awk -f %{SOURCE16} >> autoconf.h
# Create version.h
echo "#include <linux/rhconfig.h>" > version.h
loop_cnt=0
for i in desktop desktopsmp laptop laptopsmp; do
	if [ -d %{_savedheaders}%{target_arch}/$i -a \
	     -f %{_savedheaders}%{target_arch}/$i/version.h ]; then
		name=`echo $i | sed 's/-/_/g'`
		if [ $loop_cnt = 0 ]; then
      			buf="#if defined(__module__$name)"
    		else
 	     		buf="#elif defined(__module__$name)"
    		fi
		echo "$buf" >> version.h
		grep UTS_RELEASE %{_savedheaders}%{target_arch}/$i/version.h >> version.h
		loop_cnt=$[loop_cnt + 1]
	fi
done
#write last lines
if [ $loop_cnt -eq 0 ]; then
	echo "You need to build at least one kernel"
	exit 1;
fi
echo "#else" >> version.h
echo '#define UTS_RELEASE "'%{buildrel}mmcustom'"' >> version.h
echo "#endif" >> version.h

# Any of the version.h are ok, as they only differ in the first line
ls %{_savedheaders}%{target_arch}/*/version.h | head -n 1 | xargs grep -v UTS_RELEASE >> version.h
rm -rf %{_savedheaders}
} ; 
popd


#Create source-stripped tree from source
%if %build_source_stripped
cp -a %{target_source} %{target_source_stripped}
# wipe Documentation tree
rm -rf %{target_source_stripped}/Documentation
# wipe a lot of unneeded files 
for i in 3rdparty arch block crypto drivers fs init ipc kernel lib mm net security sound lib usr; do
	find %{target_source_stripped}/$i -iname '*.[c,h,S,y]' | xargs rm -f
	find %{target_source_stripped}/$i -iname '*.db' -o -iname '*.in' -o -iname '*.sh' -o -iname '*.lds' | xargs rm -f
	find %{target_source_stripped}/$i -iname '*.map' -o -iname '*.old' -o -iname '*.ppm' -o -iname '*.req' | xargs rm -f
	find %{target_source_stripped}/$i -iname '*.scr' -o -iname '*.seq' -o -iname '*.txt' -o -iname '*.data' | xargs rm -f
	find %{target_source_stripped}/$i -iname '*.orig' -o -iname '*.start' -o -iname '*.regions' | xargs rm -f
	find %{target_source_stripped}/$i -iname '*.c_shipped' -o -iname '*.h_shipped' | xargs rm -f
done
# remove .gitignore files
find %{target_source_stripped} -iname '.gitignore' | xargs rm -f
# nuke misc text files
find %{target_source_stripped} -iname 'AUTHORS' -o -iname 'ChangeLog' -o -iname 'CHANGES' | xargs rm -f
find %{target_source_stripped} -iname 'INTRO' -o -iname 'README' -o -iname 'TODO' -o -iname 'REPORTING-BUGS' | xargs rm -f
# copy back the files needed for make mrproper oldconfig prepare
cp -a %{target_source}/arch/%{target_arch}/kernel/asm-offsets.c %{target_source_stripped}/arch/%{target_arch}/kernel/asm-offsets.c
# keep asm-offsets.c for i386 also on x86_64
%ifarch x86_64
    cp -a %{target_source}/arch/i386/kernel/asm-offsets.c %{target_source_stripped}/arch/i386/kernel/asm-offsets.c
%endif
mkdir -p %{target_source_stripped}/Documentation/DocBook/man
cp %{target_source}/Documentation/DocBook/Makefile %{target_source_stripped}/Documentation/DocBook/Makefile
cp %{target_source}/Documentation/DocBook/man/Makefile %{target_source_stripped}/Documentation/DocBook/man/Makefile
%ifarch %{ix86} x86_64
cp %{target_source}/arch/i386/kernel/sigframe.h %{target_source_stripped}/arch/i386/kernel/sigframe.h
%endif
cp %{target_source}/3rdparty/mkbuild.pl %{target_source_stripped}/3rdparty/mkbuild.pl
# create simple README
readout=%{target_source_stripped}/README
echo  "*" > $readout
echo  "* This is a stripped down version of:" >>  $readout
echo  "*" >>  $readout
echo  "* %{kname}-source-%{kverrel}" >>  $readout
echo  "*" >>  $readout
echo  "* Its only intended to be used to build external modules against," >>  $readout
echo  "* such as dkms, nvidia, ati, ..." >>  $readout
echo  "*" >>  $readout
echo  "* If you want to compile your own kernel you need to install the" >>  $readout
echo  "* above mentioned %{kname}-source rpm." >>  $readout
echo  "*" >>  $readout
#endif %build_source_stripped
%endif

#endif %build_source
%endif

# gzipping modules
find %{target_modules} -name "*.ko" | xargs gzip -9

# We used to have a copy of PrepareKernel here
# Now, we make sure that the thing in the linux dir is what we want it to be

for i in %{target_modules}/*; do
  rm -f $i/build $i/source $i/modules.*
done

# sniff, if we gzipped all the modules, we change the stamp :(
# we really need the depmod -ae here

pushd %{target_modules}
for i in *; do
	/sbin/depmod-25 -u -ae -b %{buildroot} -r -F %{target_boot}/System.map-$i $i
	echo $?
done

#Create the modules.description file
#provide the module versions that we ship in this kernel
for i in *; do
	pushd $i
	echo "Creating module.description for $i"
	modules=`find . -name "*.ko.gz"`
	echo $modules | xargs /sbin/modinfo-25 \
	| perl -lne 'print "$name\t$1" if $name && /^description:\s*(.*)/; $name = $1 if m!^filename:\s*(.*)\.k?o!; $name =~ s!.*/!!' > modules.description
	popd
done
popd

###
### clean
###

%clean
rm -rf %{buildroot}
# We don't want to remove this, the whole reason of its existence is to be 
# able to do several rpm --short-circuit -bi for testing install 
# phase without repeating compilation phase
#rm -rf %{temp_root} 

###
### scripts
###

#desktop

%post -n %{kname}-desktop-%{buildrel} -f %{postfile}
/sbin/installkernel -L %{kversion}-%{ktag}-desktop-%{buildrpmrel}
/usr/sbin/bootloader-config --action add-resume2 --image vmlinuz-%{kversion}-%{ktag}-desktop-%{buildrpmrel}

if [ -d /usr/src/%{kname}-stripped-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/build
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/source
elif [ -d /usr/src/%{kname}-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/build
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/source
fi

%preun -n %{kname}-desktop-%{buildrel}
if [ -L /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/build ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/build
fi
if [ -L /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/source ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}/source
fi
/sbin/installkernel -R %{kversion}-%{ktag}-desktop-%{buildrpmrel}
exit 0

%postun -n %{kname}-desktop-%{buildrel}
/sbin/kernel_remove_initrd %{kversion}-%{ktag}-desktop-%{buildrpmrel}

#desktop smp
%post -n %{kname}-desktop-smp-%{buildrel} -f %{postfile}
/sbin/installkernel -L %{kversion}-%{ktag}-desktop-%{buildrpmrel}smp
/usr/sbin/bootloader-config --action add-resume2 --image vmlinuz-%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp

if [ -d /usr/src/%{kname}-stripped-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/build
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/source
elif [ -d /usr/src/%{kname}-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/build
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/source
fi

%preun -n %{kname}-desktop-smp-%{buildrel}
if [ -L /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/build ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/build
fi
if [ -L /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/source ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-desktop-%{buildrpmrel}smp/source
fi
/sbin/installkernel -R %{kversion}-%{ktag}-desktop-%{buildrpmrel}smp
exit 0

%postun -n %{kname}-desktop-smp-%{buildrel}
/sbin/kernel_remove_initrd %{kversion}-%{ktag}-desktop-%{buildrpmrel}smp

#laptop
%post -n %{kname}-laptop-%{buildrel} -f %{postfile}
/sbin/installkernel -L %{kversion}-%{ktag}-laptop-%{buildrpmrel}
/usr/sbin/bootloader-config --action add-resume2 --image vmlinuz-%{kversion}-%{ktag}-laptop-%{buildrpmrel}

if [ -d /usr/src/%{kname}-stripped-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/build
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/source
elif [ -d /usr/src/%{kname}-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/build
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/source
fi 

%preun -n %{kname}-laptop-%{buildrel}
if [ -L /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/build ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/build
fi
if [ -L /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/source ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}/source
fi
/sbin/installkernel -R %{kversion}-%{ktag}-laptop-%{buildrpmrel}
exit 0

%postun -n %{kname}-laptop-%{buildrel}
/sbin/kernel_remove_initrd %{kversion}-%{ktag}-laptop-%{buildrpmrel}

#laptop smp

%post -n %{kname}-laptop-smp-%{buildrel} -f %{postfile}
/sbin/installkernel -L %{kversion}-%{ktag}-laptop-%{buildrpmrel}smp
/usr/sbin/bootloader-config --action add-resume2 --image vmlinuz-%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp

if [ -d /usr/src/%{kname}-stripped-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/build
    ln -sf /usr/src/%{kname}-stripped-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/source
elif [ -d /usr/src/%{kname}-%{buildrel} ]; then
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/build
    ln -sf /usr/src/%{kname}-%{buildrel} /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/source
fi

%preun -n %{kname}-laptop-smp-%{buildrel}
if [ -L /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/build ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/build
fi
if [ -L /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/source ]; then
    rm -f /lib/modules/%{kversion}-%{ktag}-laptop-%{buildrpmrel}smp/source
fi
/sbin/installkernel -R %{kversion}-%{ktag}-laptop-%{buildrpmrel}smp
exit 0

%postun -n %{kname}-laptop-smp-%{buildrel}
/sbin/kernel_remove_initrd %{kversion}-%{ktag}-laptop-%{buildrpmrel}smp

#sources
%post -n %{kname}-source-%{buildrel}
cd /usr/src
rm -f linux
ln -snf %{kname}-%{buildrel} linux
/sbin/service kheader start 2>/dev/null >/dev/null || :

# we need to create /build,source only when there is a source tree.
for i in /lib/modules/%{kversion}-%{ktag}-{desktop,laptop}-%{buildrpmrel}*; do
	if [ -d $i ]; then
		ln -sf /usr/src/%{kname}-%{buildrel} $i/build
		ln -sf /usr/src/%{kname}-%{buildrel} $i/source
	fi
done


%postun -n %{kname}-source-%{buildrel}
if [ -L /usr/src/linux ]; then 
    if [ -L /usr/src/linux -a `ls -l /usr/src/linux 2>/dev/null| awk '{ print $11 }'` = "%{kname}-%{buildrel}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
# we need to delete <modules>/build,source at unsinstall, if it points to us
for i in /lib/modules/%{kversion}-%{ktag}-{desktop,laptop}-%{buildrpmrel}*/{build,source}; do
	if [ -L $i ]; then
		if [ "`find  $i -printf %l`" = "/usr/src/%{kname}-%{buildrel}" ]; then
			rm -f $i
		fi
	fi
done
exit 0

%post -n %{kname}-source-stripped-%{buildrel}
cd /usr/src
rm -f linux
ln -snf %{kname}-stripped-%{buildrel} linux
/sbin/service kheader start 2>/dev/null >/dev/null || :

# we need to create /build only when there is a source tree.
for i in /lib/modules/%{kversion}-%{ktag}-{desktop,laptop}-%{buildrpmrel}*; do
	if [ -d $i ]; then
		ln -sf /usr/src/%{kname}-stripped-%{buildrel} $i/build
		ln -sf /usr/src/%{kname}-stripped-%{buildrel} $i/source
	fi
done

%postun -n %{kname}-source-stripped-%{buildrel}
if [ -L /usr/src/linux ]; then 
    if [ -L /usr/src/linux -a `ls -l /usr/src/linux 2>/dev/null| awk '{ print $11 }'` = "%{kname}-stripped-%{buildrel}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
# we need to delete <modules>/build at unsinstall, if it points to us
for i in /lib/modules/%{kversion}-%{ktag}-{desktop,laptop}-%{buildrpmrel}*/{build,source}; do
	if [ -L $i ]; then
		if [ "`find  $i -printf %l`" = "/usr/src/%{kname}-stripped-%{buildrel}" ]; then
			rm -f $i
		fi
	fi
done
exit 0

###
### file lists
###

%if %build_desktop_up
%files -n %{kname}-desktop-%{buildrel} -f kernel_files.desktop
%endif

%if %build_desktop_smp
%files -n %{kname}-desktop-smp-%{buildrel} -f kernel_files.desktopsmp
%endif

%if %build_laptop_up
%files -n %{kname}-laptop-%{buildrel} -f kernel_files.laptop
%endif

%if %build_laptop_smp
%files -n %{kname}-laptop-smp-%{buildrel} -f kernel_files.laptopsmp
%endif

%if %build_source
%files -n %{kname}-source-%{buildrel}
%defattr(-,root,root)
%dir %{_kerneldir}
%dir %{_kerneldir}/arch
%dir %{_kerneldir}/include
%{_kerneldir}/.config
%{_kerneldir}/.gitignore
%{_kerneldir}/.kconfig.d
%{_kerneldir}/.kernelrelease
%{_kerneldir}/COPYING
%{_kerneldir}/CREDITS
%{_kerneldir}/3rdparty
%{_kerneldir}/Documentation
%{_kerneldir}/Kbuild
%{_kerneldir}/MAINTAINERS
%{_kerneldir}/Makefile
%{_kerneldir}/README
%{_kerneldir}/REPORTING-BUGS
%ifarch %{ix86} x86_64
%{_kerneldir}/arch/i386
%{_kerneldir}/arch/um
%{_kerneldir}/arch/x86_64
%endif
%ifarch %{powerpc}
%{_kerneldir}/arch/powerpc
#ppc?
%endif
%{_kerneldir}/block
%{_kerneldir}/crypto
%{_kerneldir}/drivers
%{_kerneldir}/fs
%{_kerneldir}/init
%{_kerneldir}/ipc
%{_kerneldir}/kernel
%{_kerneldir}/lib
%{_kerneldir}/mm
%{_kerneldir}/net
%{_kerneldir}/scripts
%{_kerneldir}/security
%{_kerneldir}/sound
%{_kerneldir}/usr
%{_kerneldir}/include/acpi
%{_kerneldir}/include/asm
%{_kerneldir}/include/asm-generic
%ifarch %{ix86} x86_64
%{_kerneldir}/include/asm-i386
%{_kerneldir}/include/asm-um
%{_kerneldir}/include/asm-x86_64
%endif
%ifarch %{powerpc}
%{_kerneldir}/include/asm-powerpc
#ppc?
%endif
%{_kerneldir}/include/keys
%{_kerneldir}/include/linux
%{_kerneldir}/include/math-emu
%{_kerneldir}/include/media
%{_kerneldir}/include/mtd
%{_kerneldir}/include/net
%{_kerneldir}/include/pcmcia
%{_kerneldir}/include/rdma
%{_kerneldir}/include/rxrpc
%{_kerneldir}/include/scsi
%{_kerneldir}/include/sound
%{_kerneldir}/include/video
%doc README.kernel-%{ktag}-sources
%doc README.Mandriva_Linux_%{ktag}
%doc README.urpmi
%doc Changelog.kernel
#endif %build_source
%endif

%if %build_source_stripped
%files -n %{kname}-source-stripped-%{buildrel}
%defattr(-,root,root)
%dir %{_kdir_stripped}
%dir %{_kdir_stripped}/arch
%dir %{_kdir_stripped}/include
%{_kdir_stripped}/.config
%{_kdir_stripped}/.kconfig.d
%{_kdir_stripped}/.kernelrelease
%{_kdir_stripped}/COPYING
%{_kdir_stripped}/CREDITS
%{_kdir_stripped}/3rdparty
%{_kdir_stripped}/Documentation
%{_kdir_stripped}/Kbuild
%{_kdir_stripped}/MAINTAINERS
%{_kdir_stripped}/Makefile
%{_kdir_stripped}/README
%ifarch %{ix86} x86_64
%{_kdir_stripped}/arch/i386
%{_kdir_stripped}/arch/um
%{_kdir_stripped}/arch/x86_64
%endif
%ifarch %{powerpc}
%{_kdir_stripped}/arch/powerpc
#ppc?
%endif
%{_kdir_stripped}/block
%{_kdir_stripped}/crypto
%{_kdir_stripped}/drivers
%{_kdir_stripped}/fs
%{_kdir_stripped}/init
%{_kdir_stripped}/ipc
%{_kdir_stripped}/kernel
%{_kdir_stripped}/lib
%{_kdir_stripped}/mm
%{_kdir_stripped}/net
%{_kdir_stripped}/scripts
%{_kdir_stripped}/security
%{_kdir_stripped}/sound
%{_kdir_stripped}/usr
%{_kdir_stripped}/include/acpi
%{_kdir_stripped}/include/asm
%{_kdir_stripped}/include/asm-generic
%ifarch %{ix86} x86_64
%{_kdir_stripped}/include/asm-i386
%{_kdir_stripped}/include/asm-um
%{_kdir_stripped}/include/asm-x86_64
%endif
%ifarch %{powerpc}
%{_kdir_stripped}/include/asm-powerpc
#ppc?
%endif
%{_kdir_stripped}/include/keys
%{_kdir_stripped}/include/linux
%{_kdir_stripped}/include/math-emu
%{_kdir_stripped}/include/media
%{_kdir_stripped}/include/mtd
%{_kdir_stripped}/include/net
%{_kdir_stripped}/include/pcmcia
%{_kdir_stripped}/include/rdma
%{_kdir_stripped}/include/rxrpc
%{_kdir_stripped}/include/scsi
%{_kdir_stripped}/include/sound
%{_kdir_stripped}/include/video
#endif %build_source_stripped
%endif

%if %build_doc
%files -n %{kname}-doc-%{buildrel}
%defattr(-,root,root)
%doc linux-%{kversion}/Documentation/*
%endif

%if %build_desktop_up
%files -n %{kname}-desktop-latest
%defattr(-,root,root)
%endif

%if %build_desktop_smp
%files -n %{kname}-desktop-smp-latest
%defattr(-,root,root)
%endif

%if %build_laptop_up
%files -n %{kname}-laptop-latest
%defattr(-,root,root)
%endif

%if %build_laptop_smp
%files -n %{kname}-laptop-smp-latest
%defattr(-,root,root)
%endif

%if %build_source
%files -n %{kname}-source-latest
%defattr(-,root,root)
%endif
%if %build_source_stripped
%files -n %{kname}-source-stripped-latest
%defattr(-,root,root)
%endif

%changelog
* Tue Sep 19 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.13-3mdv2007.0
- fix an(other) oops in acpi video.ko (#25807)
- fix hci_usb suspending (#25956)

* Sat Sep 16 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.13-2mdv2007.0
- use the fixed DN02 version from main, not the broken one (#25509)
- let source depend on qt-devel,gtk2-devel to fix make xconfig and make gconfig
- add missing dependency for binutils
- link defconfig to /boot/config as some external modules depend on this (#25711)
- enable REGPARM on i386
- from main:
    DA73_i8k-disable-fnkey-if-unsafe.patch (#21140)

* Tue Sep 12 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.13-1mdv2007.0 
- update to 2.6.17.13
- drop DN60 (merged)
- ATKBD driver as module on x86 and x86_64 to fix resume issumes
- increase mkinitrd req for the above change
- add suspend2 entries to boatloader
- add a dep for drakxtools-backend because of this 
- add missing part to MC81_ipw2200-1.1.4.patch
- add DU04_wacom-usbhid.patch (replaces old DU04) to fix a evdev bug
- drop ZZ31, probably breaks ipw2200 under some circumstances (# 24699)
- update README.urpmi for release
- From main:
	DN71_fix_ipmi_msghandler_rmmod_oops.patch

* Sun Sep 10 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.11-3mdv2007.0
- update DA03: fixes an error causing an oops on rmmod (Arnaud Patard)
- update ML10_rt2570-1.1.0-b2.tar (upstream), and delete forgotten old tarbal
- add ML30_tifm-0.6b.tar, driver for  TI FlashMedia xx12/xx21 (#23913)
- update DI21_ahci-suspend.patch with fix for HP notebooks (Arnaud)
- add CA80_modpost-64bit-fix.patch (#25431)
- add MC81_ipw2200-1.1.4.patch (and remove old MC81 and MC82)
- move around some patches
- From main:
    - add DB45: sata_sis_sis966.patch (and remove this part from DI40)
    - add DB46: sis190_sis966.patch
    - add DB47: sis190_fix_list_usage.patch
    - update DN33_netfilter_IFWLOG.patch
    - add DN07: e1000_revert_reset_changes.patch
    - add DU20: uhci_hcd_fix_list_access_bug.patch
    - add DB40: sd_mmc_2gb.patch
    - add DI51_fix_jmicron_support1.patch
    - add DI52_fix_jmicron_support2.patch
    - add DI53_fix_jmicron_support3.patch
    - update MC15: at76c503a_0.14beta1.tar

* Sun Sep 3 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.11-2mdv2007.0
- downgrade mkinitrd requirements (request from Scott Grayban)
- enable IP_NF_TARGET_ULOG (spotted by Scott Grayban) 
- Enable MD on laptop kernel (#25091)
- DA04: call video bios after return from S3 on Inspiron500m (blino, #24918)
- BK13: snd-hda-intel patch for Acer laptops (# 24954)
- PP51: macbook-ids-for-usbhid.patch (upstream, if you have problems
    with double chars, use the irqpoll boot option) 
- We should provide kversion, not the version of the tarball
- Provide names and (if available) versions of all included
    modules (as suggested by Buchan)
- From tmb:
    - re-enable X86_GENERIC optimizations again as the mdv cluster is fixed
    - update patch MD70: squashfs to 3.1-r2
    - AI01: Toshiba Equium A60 needs pci-assign-busses (#18989)
- From main:
       - update DN02: Use correct fix for b44 problems
       - update DN40: ipt_psd for the netfilter 2.6.17 API (#24252)

* Fri Aug 25 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.11-1mdv2007.0
- ZZ10: update to 2.6.17.11 which contains many bugfixes
- drop old ZZ10 (merged in 2.6.17.11)
- drop ZZ21 (merged in 2.6.17.11)
- BK02: update alsa to 1.0.12 final
- modify post scripts so we don't have to rely on libdrakx for
    making the source and build symlinks (from Thomas, bug #24578)
- DI40: sata support for additional SiS Chipsets (from SIS, via Thierry)
- From tmb:
	- ZZ19_ICH7-8_quirks.patch
	- AX01_fix-x86_64-linking-on-32bit.patch
- From main kernel:
	- DI37: add ahci support for VIA VT8251 chipset
	- DI36: add ata_wait_register needed for DI37

* Wed Aug 23 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.10-1mdv2007.0
- ZZ08: update to 2.6.17.10 (upstream)
- BK15: fixes for snd-powermac and snd-aoa to make them work on 2.6.17 (me)
- small update for DA03 (me)
- disable NOZOMI on x86_64 (tmb)
- From tmb:
    DN60_Use-pskb_trim_unique-when-trimming-paged-unique-skbs.patch
    DP01_pci-quirk_via_irq-behaviour-change.patch
    DM10_dm-raid45-2.6.17.6-2006731a.patch

* Mon Aug 21 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.9-1mdv2007.0
- ZZ08: update to 2.6.17.9 (upstream)
- ZZ21: fix a bug added in 2.6.17.2 that breaks firewire/sleep on ppc (me)
- DN55: r8169_sync-with-upstream-20060626.patch (tmb), but fix a bug (me)
- MK50: add spca5xx-20060501.tar again (upstream, fixes #24262)
- ZZ10: ICH6-quirks fix (from upstream, via Thomas)
- DN01: b44_speed-duplex-autoneg_settings.patch (upstream)
- ML11_rt2570-name.patch (tvignaud, #24461)
- revert modular ide until mkinitrd supports it
- ACX_PCI as module
- Enable CONFIG_THINKPAD
- MH10: update thinkpad driver to 6.0 (upstream)
- ML20: added dmi-decode-and-save-oem-info needed for tp_smapi (upstream)
- ML21: update tp_smapi to 0.28 (upstream)
- DA01: fix a typo causing an oops on removal of video.ko (me)
- DA03: fix badness in remove_proc_entry errors on removal of video.ko (me, fixes #22249)
- some powerpc config fixes
- move DV11 to ZZ31
- provide alsa and drbd-api
- From tmb:
    - MZ01: nozomi-2.1-0.060703.tar
    - DS01: alsa_1.0.12.rc2a
    - DN34: ipset_svn20060804.patch
    - DN35: conntrack_sip_svn20060804.patch
    - DN40: netfilter_psd.patch
    - ZZ30: v4l_dvb 2.6.18-rc3-git7
    - DC01: add another via id to drm_pciids (#24021)
    - FS51: add generic_acl support (#24045)
    - FS52: add acl support to tmpfs (#24045)
    - MC82: ipw2200 wpa fix (#24051)
    - DV13: fix so quickcam_messenger actually gets built (LKML)
    - DN07: update forcedeth to 0.56
    - DN08: update sundance to 1.1
    - DI03: support for nVidia MCP61 and MCP65
- From main:
    - DI30_atapiix_fixes.patch
    - DI20_initialize_hw_regs_in_setup_ports.patch
    - DV25&DV26: i965 support
    - DN06_e1000_7.1.9k4.patch
    - DB39_loop_partitions.patch

* Wed Jul 26 2006 Thomas Backlund <tmb@mandriva.org> 2.6.17.7-1mdv2007.0
- update to 2.6.17.7 (ZZ05)
- add patch MC91: fix em8300_ioctl32 include
- add patch ZM37: fix ck1 idleprio and suspend to disk
- fix versioning when building RC and kernels without stable patches
- fix -doc build
- require correct bootloader-utils version
- fix -source-stripped README
- fix x86_64 and i386 defconfig
- from Danny:
    - drop PP09_nvram-as-module.patch
    - add DM02_powerpc32_dmstripe.patch
    - updated powerpc defconfig
    - update create_configs:
	- build powerpc desktop* kernels with 4GB
	- enable suspend2, GENERIC_TBSYNC andn IRQ_ALL_CPUS on smp kernels

* Sat Jul 25 2006 Danny Tholen <obiwan@mailmij.org> 2.6.17.6-1mdv2007.0
- changelog entries should be mdv....
- Con's 2.6.17ck1 (ZM00-ZM36)
- update to 2.6.17.6 (ZZ00-ZZ04)
- update swsusp2 (ZZ50-ZZ63)
- dropped: inline memcpy( AA06, obsolete), mm patch (AA07, merged)
- updates: CA07_badram-2.6.17.1.patch, ME10_rivatv-0.8.6-cvs20060718.tar, 
    MJ43_marvel-cvs20060718.tar (upstream), MC50_qc-usb-0.6.4.tar (upstream)
- drop mgatv (I think obsoleted by marvel, but let me know if you need it)
- drop MC00_acx-20060215.tar (in kernel driver should work better)
- drop because of upstream fixes: 
    CA70_set_page_dirty-return-value-fixes.patch,
    CA71_smbus-unhiding-thermal-management.patch,
    DA20_wacom-driver-update.patch, DA72_advansys_enabled.patch,
    DF20_radeonfb_old.patch, DF40_fbdev-add-modeline-for-1680x1050-60.patch,
    DF50_nvidiafb-add-id-for-quadro-nvs280.patch,
    DF51_nvidiafb-add-suspend-and-resume-hooks.patch,
    DI12_git-libata-all.patch, DI20_ahci-softreset.patch,
    DI23_libata-device-spindown.patch,
    DI26_pci_msi_saverestore_for_suspendresume.patch,
    ZP11_splashutils-inputh.patch, FQ00_git-cpufreq.patch,
    FQ03_cpufreq_conservative-aligning-of-codebase-with-ondemand.patch,
    FQ04_cpufreq_conservative-alter-default-responsiveness.patch,
    FQ05_cpufreq_conservative-make-for_each_cpu-safe.patch,
    FQ06_cpufreq_conservative-alternative-initialise-approach.patch,
    FS15_ext3_readdir-use-generic-readahead.patch
- Fix the following patches:
    FS01_supermount-2.2.0-2.6.15.1.patch, FS20_reiser4-2.6.16-mm.patch,
    MJ01_avmaster_integrate.patch, ML20_tp_smapi-0.20-for-2.6.16.patch,
    PP11_powerpc_strpbrk.patch, QQ01_MODULE_PARM-gcc411.patch,
    DN02_b44-add-47xx-support.patch, DI22_libata-acpi.patch, 
    ZZ96_powerpc-suspend.patch, DN76_nf_bad_param_port.patch
- Add:
    FS11_supermount-posix_test_lock.patch (me)
    FS12_supermount-cdrom_ioctl_eject.patch (me)
    MC38_lirc-bttv-includes.patch (me)
    ML01_wis-go7007-2.6.17.patch (files.zoeloelip.be)
    MH91_omnibook-2.6.17.patch (me)
    BK11_alsa_hda-intel_realtek_subdevid.patch (me, bug 19962)
    QQ02_irda-panic.patch (me, test patch for bug 20443)
    MH86_alsa-pinnacle-symbols.patch (upstream)
    MC80_ipw2200-1.1.3.patch (upstream, cooker request)
    updates to r8169 driver (DN50-DN54, netdev ml, bug 23705)
- Disable serialmidi in Kconfig (its broken)
- Thomas managed to loose my create_configs patch, reapply it :P
- Updates from main: alsa1.0.12rc1 (BK01), dev-mem restrict (CA24), 
    acpi-dsdt-initrd (CE02) (from main), sdhci-audit (DB34), 
    wireless update (DN39), e1000_7.1.9 (DN05), ipw3945 (MC20),
    ndiswrapper1.21 (MD40), ivtv0.7.0 (MC24,MC25), dxr3 cvs (MC90),
    ftdi_sio_testo_device (DU19)
- Updates from tmb:
    acpi-release-20060608-2.6.17.patch (DA01), and drop 
        ec-mutexing (CE04), sonypi-acpi-driver-registration (DA71)
    fix_AE_AML_MUTEX_NOT_ACQUIRED.patch (ZZ20)
    fix enable_broken_dmstripe.patch (DM01)
    add netfilter_IFWLOG.patch (DN33)
    update unionfs_1.3.patch (FS30)
    add v4l_dvb_2.6.18-rc2-git1.patch (DV10)
    add p4-clockmod_correct_N60_errata.patch (CP02)
- lots of small fixes to 3rdparty to make them work with DV10.
- add psmouse to modprobe.preload in case a ps2 port is present
- also add back the stuff that adds capability/realtime to modprobe.preload
- Enable SND_DYNAMIC_MINORS
- disable CONFIG_X86_GENERIC (see bug 23890)
- enable suspend2 on desktop and suspend on laptop as well.
- do not use versioned 3rdparty dirs: fix MC50_qc-usb-0.6.4.tar and 
   MC12_ueagle-atm-1.0d1.tar.
 
* Sat Jul 1 2006 Danny Tholen <obiwan@mailmij.org> 2.6.16.23-1mdv2007.0
- more spec fixes
- ported swsusp2 to powerpc32 arch, works nicely :)
- patch to build nvram as module is not complete, build in-kernel on powerpc for now
- update to 2.6.16.23 (I know 2.6.17 is out:P but a bit short on time atm)
- drop CA73_powernow-k8-crash-workaround.patch (merged in 2.6.16.22)
- DA20_wacom-driver-update.patch
- new README.urpmi
- Make sure DM is not disabled on laptop (Luca/Thomas)
- trigger script for source and build links upon kernel-source install
- provide kernel-source-fbsplash (for fbsplash building)

* Sat Jun 3 2006 Danny Tholen <obiwan@mailmij.org> 2.6.16.19-3mdv2007.0
- spec file changes to support powerpc
- fix dmstripe patch for powerpc32
- fix makefile of dazuko module and build it by default
- workaround a gcc bug that drops integer parameters declared by MODULE_PARM
- fix the use of "ifdef defined" in rhconfig.h, it broke module building
 
* Thu Jun  1 2006 Thomas Backlund <tmb@mandriva.org> 2.6.16.19-2mdv2007.0
- enable X86_BIGSMP for ix86 smp kernels to support cpu hotplugging,
  also used when suspending
- enable USB_EHCI_SPLIT_ISO for all kernels
- add patch DN03: fix ipt_register_table() wrongly return 0 instead of
  error code when xt_register_table() fails
    
* Wed May 31 2006 Thomas Backlund <tmb@mandriva.org> 2.6.16.19-1mdv2007.0
- update to 2.6.18.19
  * Netfilter: CVE-2006-1343
- more spec cleanups...
- fix rhconfig defines
- really enable the iptables support...
- make EDD builtin as installer relies on it
- add patch CP01: HOTPLUG_CPU must depend on !X86_PC (#22594)
- add patch DS02: fix Alsa intel hda error handling (Danny)
- disable gcc FORCED_INLINING on x86_64      

* Mon May 29 2006 Thomas Backlund <tmb@mandriva.org> 2.6.16.18-1mdv2007.0
  * Danny:
    - swsusp2
    - suspend/acpi patches for SATA disks (ported from old patches mainly 
    by Randy Dunlap)
    - some config tweaks (cpufreq on smp, iptables enabled)
  * Thomas:
    - update to 2.6.16.18
    - update ndiswrapper to 1.16
    - add broken_dmstipe patch for now until it's confirmed the problem
      is actually fixed in dmraid 
    - change to kernel-tmb naming and versioning (meaning kernel.org versioning)
    - the following flawours will be built
      * kernel-multimedia-desktop(-smp)
	- for i686/4GB, x86_64, powerpc
	- low latency, fully preempt, all working features & modules built
      * kernel-multimedia-laptop(-smp)
	- for i686/4GB, x86_64, powerpc
	- voluntary preempt, swsusp2, HZ_100 (to conserve battery)
	- other laptop specific optimizations (time will tell)
	- don't build modules that are not used on laptops
          (please report / suggest things you need)
      * kernel-multimedia-source(-stripped)
	- the full source rpm and the stripped down one
      * kernel-multimedia-*-latest
	- the virtual rpms to make sure you always get the latest version

* Sun May 21 2006 Danny Tholen <obiwan@mailmij.org> 2.6.16-0mm.1mdk
- lets move to 2.6.16.16
- changelog is too long find it in /usr/share/doc/kernel-*/Changelog.kernel, highlights:
	+ review all (most) patches
	+ drop kgdb, I don't use it
	+ add selected bits from mm; libata, cpufreq, reiser4, origin patch
	+ try to fix supermount again.
	+ update to latest for almost all 3rdparty drives
	+ drop the really old stuff
	+ update to low latency branch 2.6.16ck9
	+ drop, Win4Lin stuff: postponed
	+ bugridden Bootsplash dies!! Enter P10_fbsplash-0.9.2-r5-2.6.16.patch
	+ pvfs2 and libafs are currently broken: postponed
	+ change ppc into powerpc according to kernel changes (this means only pmac and chrp platforms are supported now, 32-bit power4 is dropped as well).
	+ redo configs for powerpc, i386
	+ do not build pointless debug rpms

* Wed Jan 11 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.6mdk
- linux-2.6.14.6
- ieee80211-1.1.8
- ipw2100-1.1.4
- ipw2200-1.0.10

* Sun Jan 08 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.5mdk
- disable CONFIG_USB_BANDWIDTH
- enable win4lin build on smp kernels 
- swsusp2 build : 
	fix win4lin compile

* Fri Jan 06 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.4mdk
- swsusp2 build : 
	swsusp2 fixes and tweaks
- ruby build    : 
	ruby "fixes" (disable FB_CONSOLE as its broken)

* Wed Jan 04 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.3mdk
- swsusp2 build : 
	update to Suspend2 2.2-rc15 
	have to review missing fixes
- ruby build    : 
	update to ruby-2.6.14A0
	but still broken (mostly)
	 
* Tue Jan 03 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.2mdk
- iscsi enterprise target 0.4.13 svn r1242

* Mon Jan 02 2006 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.14-0mm.1mdk
- first try for a 2.6.13 kernel
- drop sata suspend patches for now (pending investigation)
- drop DRM ioctl32 patches for now (pending investigation)
- other issues remain ( Danny, Thomas please look into ppc and x86_64 )
 
* Sun Dec 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.13-0mm.1mdk
- first try for a 2.6.13 kernel
- likely broken ppc & x86_64
- broken swsusp2
- broken ruby

* Sun Dec 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-13mm.3mdk
- lirc-0.7.2cvs20051217
- orinoco-cvs_20051217
- start fixing 3rdparty for linux-2.6.13
	(ipw2x00, connector, libafs done mostly 
	 broken are iscsi_mod, iscsi_et, marvel
	 and maybe more :( )
- merge 2.6.12-13.uc4 changes
	DB34_pktcdvd_smp_pkt_count_states_fix.patch
	DI34_hpt366_cmd64x-pci_byte_writes_config_fix.patch
	DS12_alsa_patch_realtek_fix.patch
	DU27_usbserial_avoids_null_pointer.patch
	DU28_usbserial_race_condition_fix.patch
	ZZ66-CAN-2005-3179_drm_sysfs_debug_permission.patch
	ZZ67_CAN-2005-3180_orinoco_data_exposure.patch
	ZZ68_CAN-2005-3055_usb_urb_oops.patch
	ZZ69_CAN-2005-2873_ipt_recent_jiffies.patch
	ZZ70_CAN-2005-2490_sendmsg_fix.patch
	ZZ71_CAN-2005-2492_ipvX_raw_get_user.patch
	ZZ72_CAN-2005-3181_namei_putuser.patch
	ZZ73_CAN-2005-3044_lost_sock_fd_puts_dos_fix.patch
	ZZ74_CAN-2005-3257_setkeys_need_root.patch
	ZZ75_CVE-2005-3274_ip_vs_conn_tab_race_fix.patch

* Sat Dec 17 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-13mm.2mdk
- lirc-0.7.2
- zd1211-sub_r48

* Fri Dec 16 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-13mm.1mdk
- complete the sync with 2.6.12-13mdk
	DA73_pl2303_x75_and_sx1-IDs_1.patch
	DA74_pl2303_x75_and_sx1-status_2.patch
	HB17_swiotlb_128MB_for_nvidia.patch
- disable CONFIG_SND_SEQ_RTCTIMER_DEFAULT on x86_64

* Wed Dec 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.13mdk
- fix swsusp2 build
- maybe fix alsa's midi vs rtc issues
	enable CONFIG_HPET_EMULATE_RTC
	disable CONFIG_HPET_RTC_IRQ 

* Mon Dec 12 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.12mdk
- audigy2-nz force samplerate
- zd1211-sub_r47

* Sun Dec 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.11mdk
- alsa-addons-1.0.10 

* Sun Dec 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.10mdk
- alsa-1.0.10 
  (still have to update addon drivers)
- enable ndiswrapper on smp kernels
 
* Sun Dec 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.9mdk
- acerhk-0.5.30
- add tp_smapi-0.08
- prism25-0.2.3
- mISDN-cvs20051211
- dxr3-0.15.2
- qc-messenger-0.9
- usbvision-0.9.8.3
- vloopback-0.97-snap1

* Sat Dec 10 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.8mdk
- acx-20051207
- bcm4400-3.0.14
- bcm5700-8.3.14
- hostap-0.4.7
- ndiswrapper-1.7
- zd1211-sub_r42
- integrate Luc's patches:
	fuse-2.4.2
	ipw2100-1.1.3
	ipw2200-1.0.8
	ieee80211-1.1.6
	unionfs-20051116-1013

* Thu Nov 02 2005 Danny Tholen <obiwan@mailmij.org> 2.6.12-12mm.7mdk
- bugfix from Mark Huang for supermount patch (Bug #18783)
- update cdc-acm to v0.25 (Luc; DU10)
- alsa 1.0.10rc2 (DS01)
- preliminary 64bit support for zd1211 (MK01)
- fix oops using conservative governor on smp (Bug #19578; FQ02)
- fixes from main:
	* add r300 drm support (DF25, DF26)
	* properly fix the radeon IRQ handling code (DF24)
	* merge new upstream ioctl32 compat code, thus supporting i915 as well (DF30, DF31)
	* properly fix the errata #122 workaround on x86_64 + add it to i386 (HB15)
	* fix x86_64 idle=poll (HB18)
	* power5 and pmac64 support (P501, P502, P503). 
- createconfigs script not patched for power5 yet (no buildhost available)

* Thu Oct 06 2005 Danny Tholen <obiwan@mailmij.org> 2.6.12-12mm.6mdk
- support sleep (suspend to ram) on 2005 ibooks
- fix for a nasty bug in ide-subsystem that prevented ibook G3 wakup in some cases

* Fri Sep 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.5mdk
- enable various drivers on x86_64:
	cpia2, sqcam, snd-asihpi, rt2570, sata_mv, unionfs
- reduce rpmlint's prereq errors

* Wed Sep 28 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.4mdk
- dvb cvs 20050928 
- unionfs 20050908-1451

* Mon Sep 26 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.3mdk
- bttv & co updates
- drop temporaly ov511 and v3tv 3rdparty
- enable ndiswrapper on x86_64
- merge Thomas's 2.6.11-q9mm10 changes

* Sun Sep 25 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.2mdk
- zd1211 subversion tree: r32
- disable zd1211 on 64bit arches

* Sat Sep 24 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-12mm.1mdk
- sync to 2.6.12-12mdk
- add basic suport for VIA6410 IDE
- perl-ify generation of modules.desc

* Tue Sep 20 2005 Danny Tholen <obiwan@mailmij.org> 2.6.12-11mm.8mdk
- zd1211 subversion tree: r27, and gcc4 patch can be dropped
- ppc related: 
	- preliminary sound support for July 2005 iBooks
	- update for appletouch (0.08), supports additional models
	- prevent usbmouse taking control of apple touchpads
	- fix bootsplash hack to really write to initrd

* Thu Sep 15 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.7mdk
- fix swsusp2 breakage due to the supermount update
- zd1211-cvs20050914 (also includes zd1211b)
- sata_sis fixes

* Wed Sep 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.6mdk
- acx-20050914
- hostap-0.3.9
- prism25-0.2.2
- rt2400-1.2.2-b3
- rt2500-1.1.0-b3
- add rt2570-1.1.0-b1
- fuse-2.3.0
- pvfs2-1.2.0
- sync to 2.6.11-9mm.9mdk
	- workaround x86_64 xconfig problems
	- fix some issues with dhcp and ieee80211 (aka ipw2x00)
	- fix build from kernel source package
	- fix post script for the name change of the real capabilites module
	  realcap vs realtime

* Sun Sep 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.5mdk
- libata updates and fixes
- support for SiS182 SATA
- support for Marvel SATA (PIO mode only) 
- sata_mv add Adaptec 1420SA support
- readd sata suspend/resume support
- eagle-usb-2.3.2
- dxr3-0.15.1
- marvel - driver_fb-0.2
- squashfs-2.2
- rivatv-0.8.6-cvs20050911
- acerhk-0.5.27
- usbvision-cvs20050910
- cdfs-2.6.12
- spca5xx-20050906
- cpad-1.2
- zr364xx-0.61
- iscsi_et-0.4.11
- sndbtsco-r1.8
- vloopback-0.96a
- mga_vid-2.6.12-2005-06-18
- cowloop-2.15
- add sqcam-0.1 (webcam)
- add zc030x-cvs20050910 (webcam)
- add cpia2-cvs20050910 (webcam)

* Fri Sep 09 2005 Danny Tholen <obiwan@mailmij.org> 2.6.12-11mm.4mdk
- apple touchpad driver
- powerbook5,6 fnkey support
- apple bluetooth fix
- 745x cache-prefetch fix
- openfirmware hotplug support
- supermount-2.0.4-rk2 for testing
- hfs fixes
- hack to write bootsplash sig in initrd on ppc (you need to boot with a depth >8 however)
 
* Thu Sep 08 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.3mdk
- alsa-1.0.10-rc1
- acpi updates and fixes:
	acpica-20050815
	make hotkey-specific default
	ec-burst
- swsusp2 fixes
- Danny :
	bootsplash fixes
	ipmi updates
	readd scsi changer driver
	radeonfb fixes
	via dri update
	lots of ppc fixes

* Thu Sep 01 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.2mdk
- add untested win4lin
- add untested swsusp2 2.1.9.9 build

* Tue Aug 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-11mm.1mdk
- 2.6.12.6
- sync to 2.6.12-11mdk
- add some configs for x86_64 ppc ppc64
- x86_64 should compile now
- ruby build is included 

* Mon Aug 29 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.12-10mm.1mdk
- x86 only till some arch mainainers help
- missing in action :
	win4lin
	swsusp2 build
	ruby build
- sync to 2.6.12-10mdk
- Con's 2.6.12-ck6
- acpi 20050729
- sony-acpi 0.2
- panasonic acpi 0.8.2
- bluetooth 2.6.12-3
- libata-2.6.13-rc7
- git-libata-all
- sata_promise add PDC40718 id
- trackpoint-2.6.12
- wbsd & mmc 2.6.12-1
- reiser4-2.6.12-3
- xfs & dmapi cvs20050828
- gfs & co cvs20050828
- orinoco cvs20050828
- bcm4400-3.0.13
- bcm5700-8.2.18
- mISDN cvs20050827
- lids-2.2.1-rc3

* Thu Jun 16 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.6mdk
- iscsi-mod-4.0.2.1.test

* Sun Jun 12 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.5mdk
- move ipw2x00 to drivers/net/wireless 
  and use common ieee80211 code
- ipw2200-1.0.4

* Sat Jun 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.4mdk
- alsa-1.0.9b
- dxr3-0.15.0
- spca5xx-20050601
- zr364xx-0.60
- vloopback-0.96a
- revert unionfs to 1.0.11 
  and disable it on x86_64 as it's broken

* Wed Jun 08 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.3mdk
- disable inotify by default again
  you can enable it with "inotify"

* Fri May 24 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.2mdk
- 2.6.11.11
- alsa-1.0.9

* Fri May 24 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-9mm.1mdk
- sync to 2.6.11-q9
- ipmi and acpi=off/ht fixes
- add another revision of promise TX4 SATA controler (id 3519)
- add wis-go7007 support (aka PLextor ConvertX PVR USB2)
- disable libafs on x86_64 as it appears to be broken

* Tue May 24 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.21mdk
- alsa-1.0.9-rc4a
- fsam7400-0.4.0

* Mon May 23 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.20mdk
- add libafs-1.3.82

* Mon May 23 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.19mdk
- rt2400-cvs20050523
- rt2500-cvs20050523
- rt2x00-cvs20050523
- ural-0.8.1
- prism54-usb-cvs20050523

* Sun May 22 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.18mdk
- drop again the swsusp2 pm changes to see if it helps usb resuming
- ibm-acpi-0.11
- ieee1394-rev1286

* Fri May 20 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.17mdk
- reenable modular swsusp2
- enable KALLSYMS 
	if you dislike it recompile --without debug

* Wed May 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.16mdk
- disable modular swsusp2 again
- libata updates and fixes
	ata_piix.c - check PCI sub-class code before AHCI disabling
	flush COMRESET set and clear
	stop setting sdev->host->max_sectors
	timeout without command
	sata_promise add id for 3571
	sg_dma_len fix
	pata_promise updates

* Mon May 16 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.15mdk
- Con's 2.6.11-ck8
- disable devfs support

* Sat May 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.14mdk
- drop sata_sil24 temporally
- drop swsusp2 driver changes

* Sat May 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.13mdk
- add sata_sil24 (for sil3124 and sil3132)
	please take a look at this before loading the driver :-)
	http://marc.theaimsgroup.com/?l=linux-ide&m=111601333631833&w=2
- add suspend resume support to sata

* Fri May 13 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.12mdk
- 2.6.11.9
- update sk98lin to v8.18.2.2 (beta) (DN06) (Thomas)
- update rtl8180 to cvs20050513 and enable it on x86_64
- drop DRI ioctl32 changes temporaly and update to cvs20050510

* Sun May 09 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.11mdk
- do not prerequire/depend on win4lin-utils
- disable "--with drill" to track DRI hangs

* Sat May 07 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.10mdk
- revert the partitions/msdos.c changes from 2.6.11.8
  as they seem to be bogus (and brake my big box)
- one more swsusp2 fix
- use bootloader-config for win4lin kernels as win4lin-utils is gone

* Fri May 06 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.9mdk
- bcm5700-8.1.55
- update gfs to FC4 branch to fix gcc4 issues
- gcc-4 fixes to get it compile 
	(asihpi, rtl8180 are still broken)
- include modular software suspend 2 support (try2)
  in the default build for x86 (for uniprocessors only)

* Wed May 04 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.8mdk
- alsa-1.0.9-rc3
- alsa addons-1.0.9-rc3
- eagle-usb-2.3.1
	enable CMV
- fix ndiswrapper version

* Sun May 01 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.7mdk
- disable modular swsusp2 till some issues are solved

* Sat Apr 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.6mdk
- Support for sata_sil on rs480 (Gb)
- Ndiswrapper 1.2rc1 (Arnaud)
- disable swsusp2 check_resume_safe for now as 
  its aperently broken

* Sat Apr 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.5mdk
- 2.6.11.8
- fix oops and missing keyboard input on 
  unpluging usb audio devices

* Fri Apr 29 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.4mdk
- include modular software suspend 2 support 
  in the default build for x86 (for uniprocessors only)

* Tue Apr 26 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.3mdk
- fix compile with new binutils (thanks for the link Gwenole)
- unionfs-042505-1601
- x86_64: bloat the config (take 2)
	enable ppscsi support
	enable usb storage uss725 support
	enable marvel, mgatv and mga_vid
	enable unionfs

* Mon Apr 25 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.2mdk
- fix ruby to apply nicely with some of the ppc updates (ZR01)
- fix x86 compile problem caused by DF13 (DF14)
- add missing bits from my 2.6.10 tree
  (now they schould be in sync)
	2.6.11-pom-ng-20050311
	2.6.11-ipt_layer7
	2.6.10-imq
- x86_64: bloat the config
	fix and enable gfs & co
	enable saa7134(dvb)
	enable cx88(dvb)
	enable Zoran
	enable megaraid_sas & megaraid
	enable most 3rdparty drivers 
	(broken are iscsi_mod, unionfs, rivatv and maybe more) 
- ppc updates from Danny:
	update for radeon ppl access workarounds (DF13)
	support extra buttons on alu G4 powerbook (PP08)
	workarounds to fix sleep issue on some G3 cpus (PP09)
	better IDE support for Shasta and Intrepid (PP30)
	disable AGP on suspend for aty cards (PP55)
	fix an IDE related crash on wakeup (PP58)
	add the suspend function to cpufreq (DC95)
	cpufreq support for newer pmacs (PP61)
	fix some ppc cpufreq problems (PP62)
	fix some more sleep related cpufreq problems (PP63)
	update the patch for building a ppc32 power4 kernel (PP70)
	maintain tumbler driver volume settings over sleep (DS17)

* Sat Apr 23 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.11-7mm.1mdk
- 2.6.11-q7 
- 2.6.11.7
- acpi-20050408-2.6.11
- Con's 2.6.11-ck4
- Staircase scheduler v11
- fix un oops in rivafb-i2c
- input-serio-8042 resume fix
- inotify-0.22-rml-2.6.11-1
- newer snapshot of NFS ACL support
- newer snapshot of reiser4 fs
- xfs-cvs20050420
- dmapi-cvs20050420
- gfs & co for 2.6.11
- device mapper updates 
- lids-2.2.1rc2-2.6.11.6
- 2.6.11-mh2
- ieee1394-rev1275
- v4l-2.6.11-2
- wbsd-2.6.11-3
- wbsd-sd-2.6.11-3
- e100-3.4.8
- e1000-6.0.54
- ixgb-1.0.95
- iscsi_et-0.4.6
- win4lin update
	Kernel-Win4Lin3-2.6.11.5
	mki-adapter26_1_3_12
- ruby build :
	ruby-2.6.11.2
- swsusp2 build :
	software suspend2 2.1.8.2
- droped for later
	2.6.10-pom-ng-20041118
	2.6.8-ipt_layer7
	2.6.10-imq
- droped for now (till newer upstream code)
	jfs-dmapi support

* Tue Apr 19 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.29mdk
- enable monitor mode on ipw2100 and ipw2200
- disable on ppc various x86 specific 3rdparty drivers
- get 3rdparty drivers ready for 2.6.11 (maybe we'll get there someday)

* Sat Apr 16 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.28mdk
- add ATI IXP400 support to atiixp
- acx100-0.2.0pre8 + fixes 52
- rtl8180-0.21

* Fri Apr 15 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.27mdk
- enable CONFIG_BLK_DEV_ATIIXP for amd64 too

* Thu Apr 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.26mdk
- fix kernel-BOOT compile
- fix ppc compile after cpufreq update
	(guess how many people tried to compile
	 kernel-multimedia since then :( )

* Thu Apr 14 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.25mdk
- reduce spam from smapi_core
- ppc :
	very basic desktop g5 sound support #2
	improve g5 sound headphone mute
	add sound support for Mac Mini

* Tue Apr 12 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.24mdk
- x86_64 include two fixes from main kernel:
	HB02_ia32_icecream_fix.patch  
	HB11_missing_string.h.patch	
- ppc:
	sound support for latest laptops
	Improve sleep code of tumbler driver

* Mon Apr 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.23mdk
- acerhk-0.5.22
- ipw2100-1.1.0
- ipw2200-1.0.3
- iscsi-mod-4.0.2
- pwc-10.0.7
- svgalib_helper-1.9.20
- add Fujifilm FinePix Webcam driver(cvs20050411)
- add connector 3rdparty from main kernel

* Sat Apr 9 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.22mdk
- alsa cvs 20050409

* Thu Apr 7 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.21mdk
- merge security/ bug fixes from 2.6.11.7

* Thu Apr 7 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.20mdk
- piix add Intel 82801DBL IDE Controller support
- irq and pci_ids for Intel ESB2
- piix - IDE PATA for Intel ESB2
- intel8x0 - AC97 audio for Intel ESB2
- ata_piix - IDE mode SATA for Intel ESB2
- ahci - AHCI mode SATA for Intel ESB2
- i915GM agp support

* Wed Apr 6 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.19mdk
- more alps tweaks
- cpufreq bk-20050405
- cpufreq-speedstep dothan-3 support
- zr364xx-0.57
- thinkpad-5.8

* Mon Apr 4 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.18mdk
- update prism54 and enable WDS and WPA
- add sonix webcam driver
- spca5xx-20050328
- add support for ESB2 Southbridge HD Audio to snd-hda-intel 

* Sun Apr 3 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.17mdk
- try to fix alps support

* Sun Apr 3 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.16mdk
- sync to latest alsa:
	usbmixer_maps add Sound Blaster MP3+ controls
- update ACARD scsi driver

* Sat Apr 2 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.15mdk
- fix devfs_remove in isdn_common (Luca)
- two more security fixes

* Fri Apr 1 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3mm.14mdk
- add alps support to psmouse(from synaptics-0.14.1)
- more snd-emu10k1 fixes
	add Audigy 1 SB0090 id
	fix missing ac97_codec ident
- fix NULL pointer bug in netpoll.c

* Fri Apr 1 2005 Danny Tholen <obiwan@mailmij.org> 2.6.10-3mm.13mdk
- fix ppc configs
- G5_smu only for ppc64
- zd1211-5000-cvs20050331 
- always create power4 config
- update pmac_sleep_fix (AKA pmac_cache_type)
- rtl8169 update
- Svetljo:
	alsa cvs 20050330

* Wed Mar 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.12mdk
- alsa fixes from cvs :
	snd-emu10k1: add SBLive Value CT4832 id
	snd-ac97_codec: Fix the detection of resolution of ac97 controls
- unionfs-032405-1915
- ppc:
	update power4 config
	add Imac G5 support (smu support still pending)
- Danny:
	acpi-poweroff fix
	pmac_cache_type fix

* Tue Mar 29 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.11mdk
- fix oops when inserting ipmi_si module
- zd1201 fix shared key auth
- adm8211-20050323
- radeonfb ddc i2c fix
- radeonfb Fix mode setting on CRT monitors
- merge more fixes from 2.6.11.6
- snd-emu10k1 updates

* Tue Mar 29 2005 Thomas Backlund <tmb@mandrake.org> 2.6.10-3.mm.10mdk
- x86_64:
  * fix config_preempt
  * fix preemption off of irq context
  
* Sat Mar 26 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.9mdk
- fix swsusp2 build after alsa update

* Fri Mar 25 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.8mdk
- alsa 1.0.9rc2
- alsa addons 1.0.9rc2
- various libata fixes

* Fri Mar 25 2005 Thomas Backlund <tmb@mandrake.org> 2.6.10-3.mm.7mdk
- fix url for info about recompiling
- fix kernel-doc description
- x86_64:
  * fix static/nonstatic mix in kernel setup64.c nonx_setup
  * testbuilt and booted both up and smp
  * disable KDBG, DEBUG_INFO and DEBUG for ACPI, IP_VS, HISAX
- generic fixes for build time warnings:
  * usr gen_init_cpio.c: add missing "unsigned"
  * acpi processor_idle.c: fix "int format, different arg"
  * atm firestream.c: add missing "long"

* Tue Mar 22 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.6mdk
- add support for new ipod-mini and possibly others
- ivtv-0.2.0-rc3i
- snd_btsco-rev1.5
- spca5xx-20050319
- zr364xx-0.56
- zd1211-4916_cvs20050322

* Fri Mar 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.5mdk
- temporary workaround for the via-irq quirk problems
- various fixes from 2.6.11.4 and upcomming 2.6.11.5
- add usbat_02 support
- add sisusbvga-250105-1
- zd1211-cvs20050318

* Tue Mar 15 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.4mdk
- dri add via driver
- acx100-0.2.0pre8_plus_fixes_48
- eagle-usb-2.2.0
- at76c503a-cvs20050315
- ndiswrapper-1.1
- ivtv-0.2.0-rc3h
- acerhk-0.5.21
- cowloop-2.14
- add zd1211-4916_0.3-endianfree
- add qc-usb-messenger-0.8
- x86_64 : (hopefully this time it really builds and boots)
	disable build of broken serial drivers
	CONFIG_DIGIEPCA
	CONFIG_STALDRV
	CONFIG_RIO 

* Fri Mar 11 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.3mdk
- acpi-20050309
- megaraid_mbox-2.20.4.3
- enable megaraid_legacy
- megaraid_sas support
- radeonfb PLL access workaround
- radeonfb noaccel fix
- turn off inotify by default again
  you may enable it with "inotify" boot parameter
- sync with 2.6.10-as7
	ZY43-sysfs_write_file_signedness_problem.patch
	ZY44-sys_epoll_wait_int_overflow.patch
- x86_64 :
	HB20_amd64-ia32-vsyscall-fix.patch
	HB21_amd64-int3-fix.patch
	HB22_amd64-parse-noexec-fix.patch
	HB23_amd64-noexec32-backport.patch
	HB24_amd64_outs.patch
- ppc:
	therm_adt746x new powerbook support
	ppc fix boot time scheduling_while_atomic

* Mon Mar 07 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.2mdk
- acpi-20050303
- mmc and wbsd updates from 2.6.11+
- mmc and wbsd SD card support
- iscsi-et 0.4.5
- unh-iscsi 1.6.00
- disable JFS dmapi support on x86_64 (broken)
- spec fixes :
	pre_require bootloader-utils
	fix kernel upgrade url
	fix summaries

* Sat Mar 05 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-3.mm.1mdk
- merge 2.6.10-3mdk
	DA64_olitec_rnis.patch
	DI09_ich7_support.patch
	DI10_ich7_support.patch
	DI11_ich7_support.patch
	DI13_ich7_support.patch
	DI14_add_ichX_watchdog_support.patch
	DN37_add_gigabit_usrobotics.patch
	DU13_add_consumer_codes_for_cherry_keyboards.patch
	DV30_drm_ioctl32.patch
	FS04_add_delay_before_mounting_root_boot_param.patch
	JX01_x86_xbox.patch
- libata-2.6.11
- libata-2.6.11-libata-dev1
- e100-3.3.6
- e1000-5.7.6
- ixgb-1.0.90
- adm8211-20050226
- rtl8180-0.20.2
- pt_drv-0.43-5
- ppc:
	disable CONFIG_USB_SUSPEND
- x86_64:
	drop DC16_ipmi-nmi-2.6.10.patch
	qla4xxx drop two broken inlines
	wbsd depends on PNPACPI
	disable iscsi_mod
	disable acer_hk

* Tue Mar 01 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.21mdk
- acpi video pointer size fix
- r8169 updates
- usb-ehci requeue revisit
- sn9c102-1.24
- w9968cf-1.35 with post processing support
- qc-usb fixes
- zd1201-0.15-6

* Sun Feb 27 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.20mdk
- enable build on x86_64
- sync with 2.6.10-as6
- drop __init from modedb

* Sat Feb 26 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.19mdk
- ipv6 fix Frequent Oops on Shutdown
- sis900 fix kernel oops at boot
- inotify enable it by default, but keep noinotify
  boot option 
- radeonfb Workaround memory corruption accel problem
- lot of other fixes from linux-2.6.10-as5
- acerhk enable build
- exaudio-1.64
- gpib-3.2.02
- asihpi-2.92
- sheepnet-0.9.70
- ivtv-0.2.0-rc3g

* Sun Feb 20 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.18mdk
- acpi_power_off bug fix
- USB Hub add reset recovery time delay
- unhide SMBus on Toshiba Satellite A40
- unhide SMBus on Samsung P35
- eagle_usb-2.1.1
- hostap-0.3.7
- acecad-3.2.1-2.6.10
- bcm4400-3.0.8
- lpfcdriver-2.6-8.0.24
- spca5xx-20050206
- cpad-1.1
- omnibook-2005-02-17
- iscsi_et-0.4.4
- vloopback-0.95-snap1
- ppc stuff from Danny:
	- fix missing ioremap on ppc
	- pmac big sleep update
	- acquire_console_sem for the fb update
	- aty128fb sleep update
	- radeonfb update
	- fix radeonfb typos
	- fix radeon boot hang

* Fri Feb 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.17mdk
- turn off inotify by default till userspace is updated
  you may enable it with "inotify" boot parameter

* Thu Feb 17 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.16mdk
- acpi-20050211-2.6.10
- fix acpi sleep-while-atomic during s3_resume from ram
- pnpacpi build fix
- sonypi updates
- ipmi updates
- Add missing configure calls to intel_agp_resume code
- Add missing configure calls to intel_agp_resume code i810
- swsusp route irq again
- drop stalled desc : DA01_forcedeth.desc
- add various desc (lot more to come)
  to ease naming policy understanding(e.g. Danny :)) 
	DB00_block_drivers.desc
	DC00_char_drivers.desc
	DF00_framebuffer_drivers.desc
	DI00_ide_drivers.desc
	DN00_network_drivers.desc
	DS00_sound_drivers.desc
	DU00_usb_drivers.desc
	DV00_video_drivers.desc

* Wed Feb 16 2005  Danny Tholen <obiwan@mailmij.org> 2.6.10-1.mm.15mdk
- inotify __remove_watch needs to be called with the lock held
- inotify add option to disable at boot : noinotify
- APIC/LAPIC hanging problems on nForce2 system
- scsi sym2 2.1.18n
- security fixes for local privilege escalations (KOTIK/ADV-2005-0163):
	* fix_ATM_copy_to_user
	* i2cpro_viadump_bufferof
	* radeon_drm_race
	* reiserfs_64bit_clean_types
	* sign_checks_copy_from_read_buf
	* signed_compare_proc
- fix descriptions

* Sun Feb 12 2005 Danny Tholen <obiwan@mailmij.org> 2.6.10-1mm.14mdk
- sbp2 module unload fix
- inotify-0.19-2.6.10
- ppc32-dont-create-tmp_gas_check
- xfs_cvs20050211inc
- enable power4 (G5) kernels, new config
- several small ppc64 patches from 2.6.11rc*
- try fix the problems with vesafb failing on some chipsets
- drop orinoco shared key patch, should be fixed
- ipmi fixes from 2.6.11rc*
- create_configs can now use custum configs as option

* Thu Feb 10 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.13mdk
- wbsd-2.6.10-6
- wbsd-nodmafix
- hpusbscsi_mark_BROKEN
- ipw2100-1.0.5
- ipw2200-1.0.1
- adm8211-20050208
- iscsi_et-0.4.1
- unh-iscsi-cvs20050208
- rtl8180-cvs20050209
- fix wait_task_inactive race
- drop bogus fix_bug_in_tty_io.c
- use in kernel usb_early_handoff for synaptics
  and drop DU02_quirks-disable-smm-bios-only-on-X86.patch
- disable module.desc build for now

* Mon Feb 07 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.12mdk
- xfs cvs20050207
- 2.6.10-mh4
- use_both_schemes default on
- fix bug in tty_io.c
- fix umounting bad inode
- marvel 20050205
- add mgatv 20050205
- add mga_vid for linux-2.6.10
- add areca-raid scsi driver
- ppc stuff
	PP45_albook-ibookg4-sleep-7-for-2.6.10.patch
	PP46_linux-2.6.9-usbsuspend.patch
	PP47_ppc-console.patch
	PP48_linux-2.6.9-ppc64-sungembug.patch
- from ocilent1
	cowloop-2.11
	unionfs-020205

* Sat Feb 05 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.11mdk
- enable CONFIG_BLK_DEV_ATIIXP
- do build rivatv and include saa7174hl module
- add skge-0.5
- ipw2200-1.0.1wip(aka comulativ patch against 1.0)
- update sata-uli to 0.5 from -ac
- airo oops fix 

* Thu Feb 03 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.10mdk
- add qla4xxx support
- sata_promise add suport for promise 579 and newer TX2plus,TX4 cards
- sata_via add support for via6421
- ipw2100 1.0.4
- disable CONFIG_BLK_DEV_UB
- further ppc hacks

* Tue Feb 01 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.9mdk
- orinoco-0.15rc2 cvs20050201 with WE17 support
- 2.6.10-mh3
- atmel_cs Add support LG LW2100N WLAN PCMCIA card
- i4l add hfc-4s and hfc-8s driver
- add ULi-M526x driver
- ipw2200-1.0.0
- lids-2.2.1pre2-2.6.10
- scheduler and preempt fixes
	ZM40_sched-fix-preemption-race-core-i386.patch
	ZM41_sched-make-use-of-preempt_schedule_irq-arm.patch
	ZM42_sched-make-use-of-preempt_schedule_irq-ppc.patch
- udf deadlock fix
- nvidia freeze fix
- and yet more fixes from 2.6.10-as3
	ZZ25-track_dummy_capability.patch
	ZZ27-track_dummy_capability-2.patch
	ZZ28-do_brk_security_fixes.patch
	ZZ33-rlimit_memlock_check.patch
	ZZ34-stack_resize_exploit.patch
	ZZ35-do_brk_security_fixes-2.patch
	ZZ36-rlimit_memlock_check-2.patch
	ZZ51-md_sync_page_io_max_vecs.patch
	ZZ52-vfat_valid_longname_proper_return.patch
	ZZ53-ipmi_unhandled_message_counting.patch
	ZZ54-ext3_journal_abort_before_panic.patch
	ZZ55-uml_new_thread_race.patch
	ZZ56-x86_64_acpi_do_suspend_lowlevel_arg.patch
	ZZ57-scsi_ioctl_unknown_opcode.patch
	ZZ58-ia64_binfmt_elf_bug_out.patch
	ZZ59-ia64_unwind_stack_check.patch
	ZZ66-ibmvscsi_probe_delay_loop_fix.patch
	ZZ67-scsi_gdth_pci_map_sg.patch
	ZZ68-scsi_sd_read_capacity_LBD_bail.patch
	ZZ70-alsa_rme9652_hdsp_get_autosync.patch
	ZZ72-sctp_do_bind_random_port.patch
	ZZ73-usb_gadget_serial_free_ports.patch
	ZZ74-usb_makefile_fixes.patch
	ZZ75-acpiphp_ibm_module_parm_perm.patch
	ZZ76-i2c_ali1563_devinit_fixes.patch
	ZZ77-ext3_journal_abort_handle_silence.patch
	ZZ78-jbd_journal_revoke_graceful_double_delete.patch
	ZZ79-i386_timer_resume_slowdown.patch
	ZZ80-kernel_sched_might_sleep_ignore_if_oopsed.patch
	ZZ81-ia64_early_sn_setup_nested_loop.patch
	ZZ82-ide_it8172_init_return_failure.patch
	ZZ83-x86_64_switch_mm_context_race.patch
	ZZ84-smp_nmi_watchdog_race.patch
	ZZ85-ia64_irq_reg_typo.patch
	ZZ86-i386_cpufreq_powernow_k8_acpi_error.patch
	ZZ87-ext3_graceful_corruption_fixes.patch
- fix again swsusp2 build

* Sun Jan 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.8mdk
- ndiswrapper-1.0
- ipw2100-1.0.3
- ipw2200-0.22

* Sun Jan 30 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.7mdk
- drop (likely) broken ipmi patches
	DA61_ipmi-2.6.8.1-v33-af_ipmi.patch
	DA62_ipmi-2.6.8.1-v33-smb.patch
	DA63_add_i2c_unused_functions_for_ipmi_smb.patch
- ieee1394 rev1251
- add driver for FAST AV Master 0.0.1
- add vloopback-0.93-snap1
- some more fixes
	ZZ70_smbfs-overflow-fixes-2.patch
	ZZ71_Ooops_unmounting_a_defect_DVD_fix.patch
- swsusp2 build:
	fix again ipw2100 & ipw2200 compile when SWSUSPEND2 is not set  

* Fri Jan 28 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.6mdk
- acpi-20050125-2.6.10
- sd_c-fix_unpluging_without_unmounting
- ibm_acpi_0.10
- libata add support for Intel ICH7 and ICH7R
- add anoder mod15write Seagate drive
- libata sata_sil add support for ATI_IXP300 and ATI_IXP400_SATA
- prism25-0.2.1-pre26
- ndiswrapper-1.0rc4
- fpi2002-0.5
- cfq_requeue_request_accounting fix
- drop CA05_pnpbios-off-as-default.patch
  must be fixed long long ago

* Thu Jan 27 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.5mdk
- wacom-tablet-driver
- trackpoint-2.6.9
- 2.6.10-mh2
- sk98lin_v8.13.1.3_2.6.10
- 2.6.10-pom-ng-20041118
- 2.6.8-ipt_layer7
- 2.6.10-esfq
- 2.6.10-imq
- 2.6.4-wrr
- 3c59x-reload-eeprom-values-at-rmmod-for-needy-cards
- 3c59x-remove-eeprom_reset-for-3c905b
- 3c59x-add-eeprom_reset-for-3c900-boomerang
- 3c59x-pm-fix
- 3c59x-missing-pci_disable_device
- 3c59x-use-netdev_priv
- 3c59x-make-use-of-generic_mii_ioctl
- 3c59x-vortex-select-mii
- 3c59x-support-more-ethtool_ops
- usb-zire71-support
- lpfcdriver-2.6-8.0.8.21
- ivtv-0.2.0-rc3e
- ecc-E7501_fix
- snd_btsco
- md-fixes
- dm-multipath_inc_version
- preempt-sysctl_ppc
- ipvs-deadlock-fix

* Sat Jan 23 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.4mdk
- fix up spec and configs for ppc build
- add 2.6.10-rc2-libata-dev
- readd staircase scheduler 10.5 (2.6.10ck5)
- drop cfq changes and io priorities

* Sun Jan 22 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.3mdk
- readd my 3rdparty
- qc-usb 0.6.2
- ivtv 0.2.0-rc3d
- svgalib_helper 1.9.19
- usbvision 0.9.8
- gatos-km 0.6
- noarp 2.0.2
- spca50x 20050101
- zr364xx 0.55
- adm8211 20041227
- iscsi enterprise target r773
- mISDN cvs20050103
- pvfs2 1.0.1
- revert to staircase scheduler 10.3
- ppc fixes and configs from Danny

* Thu Jan 20 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.2mdk
- update staircase scheduler to 10.5 (2.6.10ck5)
- add some more fixes from 2.6.10-as2

* Tue Jan 18 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.10-1.mm.1mdk
- 2.6.10-q1
  (drop kdb & rsbac)
- fix ppscsi
- fix uss725
- alsa-1.0.8
- alsa-addons-1.0.8
- 2.6.10-udm1
- gfs & co for linux-2.6.10
- drbd-0.7.7
- reiser4 from 2.6.10-rc3-mm1
- Con's 2.6.10-ck4
- dmapi for xfs & jfs
- xfs cvs 20050114
- lot of small fixes
- 3rdparty from kernel in main
  (todo add my addons )
- ivtv-fb depends on framebuffer support
- mod-marvel depends on matroxfb
- ruby build
	ruby for linux-2.6.10 without framebuffer support
- swsusp2 build
	software-suspend-2.1.5.14 for linux-2.6.10

* Sun Jan 09 2005 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.8mdk
- alsa-1.0.8rc2 
- alsa-addons-1.0.8rc2
- move cloop and epcam to 3rdparty

* Thu Sep 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.7mdk
- ppc fixes from Danny
- fix alsa build on alpha again
- add asi hpi open sound driver
- add unh-iscsi 
- add cd emulation support

* Mon Sep 06 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.6mdk
- add adm8211-20040901
- disable CONFIG_DEVFS_MOUNT for cooker/10.1 build

* Sat Sep 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.5mdk
- hpt366c wrong timings
- alsa-20040903
- alsa-addons-1.0.6a_cvs20040903
- echoaudio-0.16
- sparc alsa fix
- alsa_pcm_native vs alpha
- dvb-cvs20040903
- qc-usb-0.6.1
- ipw2100-0.54
- ipw2200-0.7
- panasonic acpi laptop extras v0.6.2

* Tue Aug 31 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.4mdk
- fix swsusp2 compile
- drop aic7xxx updates to track oopses
- fix kernel-BOOT compile
	thinkpad depends on CONFIG_PM
	GFS depends on CONFIG_IPV6
	marvel depends on CONFIG_I2C
	noarp depends on CONFIG_NETFILTER

* Sat Aug 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.3mdk
- alsa-1.0.6a cvs20040821
- echoaudio-0.15a
- ipw2100-0.53
- ipw2200-0.4
- ndiswrapper-0.10
- orinoco-0.15-rc2 cvs20040821
- quickcam-usb-0.6 cvs20040821
- ivtv-0.1.10-pre2-ck104y
- ibm acpi laptop extras v0.3
- panasonic acpi laptop extras v0.6.1
- smbfs fixes

* Sat Aug 14 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.2mdk
- enable savage dri module
- rename tarball to 2.6.7-q1.mm2 
  and spec file to kernel-mm.spec

* Thu Aug 12 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-1.mm.1mdk
- rename to kernel-multimedia
- enable dri low latency tweaks for radeon rage128 matrox
- turn on kernel-win4lin rpms by default
  (if you want to turn it off use "--without win4linrpm")
- change extra version according to build options
  so they can be installed in parallel
	standard kernel -  mm
	ruby kernel	- mm.r
	swsusp kernel	- mm.s

* Wed Aug 11 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.38mdk
- add alsa-1.0.5a for those arches 1.0.6-rc2 doesn't build (e.g. alpha)
- drop CAN-2004-0415 security fix 
  it's not a final solution and breaks alpha build

* Sun Aug 08 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.37mdk
- net_eql security fix
- CAN-2004-0415 security fix
- dvb-cvs20040808
- add a workaround for snd-hdspm
- move 1G lowmem for x86 to a build option
  (probably breaks Nvidia and some other closed source drivers)

* Sat Aug 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.36mdk
- alsa-1.0.6-rc2
- dvb-cvs20040807
  (basic sysfs/udev support)
- bcm5700-7.3.5
- ndiswrapper-0.9
- disable IPW2100 and ACX support on alpha
  (still broken on alpha - unresolved symbols in alsa)

* Thu Aug 05 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.35mdk
- alsa and alsa addons 1.0.6-rc1
- dvb-cvs20040805
- video4linux 20040730-152601
- ivtv-0.1.10-pre2-ck101
- cpad-0.2
- acx100-0.2.0pre8_plus_fixes_23
- gpib-3.2.00
- lids-2.2.0rc3-2.6.7
- cloop_v5
- 2.6.7-mh4
- Fix HPT366 crash and support for HPT372N
- 1G lowmem for x86
- acpi ioapic suspend/resume fixes
- acpi io-ports fix
- via-agp suspend/resume fixes
- resync scheduler with 2.6.7-ck6
	staircase7.E
	schedbatch2.4
	schediso2.4
- software suspend v2 might be(and probably is)
  teribly broken :(

* Tue Aug 03 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.34mdk
- win4lin :
	win4lin kernels are named kname-win4lin, in order to spport swsusp2 & ruby
	add p3-smp-64GB win4lin kernel support
	provide/obsolate Kernel-Win4Lin3
	fix broken files in win4lin enterprise kernel

* Tue Aug 03 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.33mdk
- add "--with win4linrpm
  ( aka kreate ala kernel-win4lin rpms,
    or build all((up/smp/enterprise/i686up4GB)) kernels two times
    first run standard, second run for kernel-win4lin rpm
  )

* Sat Jul 31 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.32mdk
- drop some duplicated tarballs
- drbd 0.7.1
- dvb-cvs20040731
- ndiswrapper-0.9-pre2
- ivtv-0.1.10-pre2-ck100s
- 2.6.7-mh3

* Wed Jul 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.31mdk
- fix compilation under 2.4 kernel
	MG92_omnibook_Makefile_fix_alt1.patch
- ipw2100-0.51
- reenable prism25 usb and plx on smp
	MB80_1prism25-0.2.1-pre21.tar
- ov511 update to latest version and mark in kernel driver "old"
	MB90_ov511-2.28.tar
	MB91_ov511_mark_in-kernel_driver_as_old.patch
- readd old marvel driver (doesn't need fb support)
	MH00_mod_marvel-cvs20031215.tar
- merge rest of 3rdparty update from main kernel
	MC30_at76c503a-cvs20072004.tar
	MC70_acecad-3.1.tar
	MC71_acecad-3.1-hid.patch
	ZG12_dazuko-2.0.2.tar

* Mon Jul 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.30mdk
- bttv & co 20040723-010612
- dri-20040726
- lpfcdriver-2.6-8.0.7
- software suspend 2.0.0.100
  (+ boot fix for more then one swap partition)
- sync with most of 2.6.8-rc2q2's 3rdparty
	eagle-usb-1.9.8
	hostap-0.2.4
	dfg1394-1.3
	prism25-0.2.1-pre21
	ndiswrapper-0.8
	fuse-1.3
	shfs-0.35
	ipw2100-0.50

* Mon Jul 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.29mdk
- revert to device mapper 2.6.7-rc3-udm1
- bttv & co updates
- move omnibook support to 3rdparty MG90 & MG91
  and update it to 20040701 release
- ivtv-0.1.10-pre2-ck100i

* Fri Jul 23 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.28mdk
- add "--with nfs" for built-in nfs support
  by default nfs support is configured as module
- turn NLS support to built-in not module
  to please livecd
- add boot parameter to enable/disable swsusp2's acpi S4 support
	suspend_acpi and suspend_noacpi respectively
	with those options you can overide the default
	configuration which currenlty is disabled as
	it breaks certain Sony laptops

* Thu Jul 22 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.27mdk
- fix building of alsa's addons 
  emu10k1x and audigyls after move to 3rdparty

* Thu Jul 22 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.26mdk
- fix acpi processor module unload
- added planet ccrma dri low latency patches
	you need to rebuild with "--with drill"
	modified drivers are mga, r128, radeon
	don't enable this unless you now what you are doing

* Wed Jul 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.25mdk
- device mapper 2.6.7-udm1
- alsa cvs 20040720 
	( echoaudio and tvmixer are broken with new alsa,
	  use older kernel if you need them)

* Wed Jul 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.24mdk
- swsusp2 fixes: 
	- merge acpi-S4 config option from 2.0.0.99 
	  and disable it (breaks power off if enabled)
	- merge progressbar fix from 2.0.0.100
	- change version to 2.0.0.98sds :-)

* Mon Jul 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.23mdk
- gatos km cvs20040719
- ivtv-0.1.10-pre2-ck100b
- fix smp build 
  (revert smp support for acpi processor driver - unresolved symbols )
- renumber all 3rdparty drivers/patches ala -tmb
- fix ibmcrypto compile
- move ipw2100 to 3rdparty 
  (it's not going to be merged soon)
- move hostap to 3rdparty
- move fuse and lufs to 3rdparty
- turn CONFIG_UNIX to "y" (from "m")

* Sat Jul 17 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.22mdk
- acpi-20040715-2.6.7

* Sat Jul 17 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.21mdk
- ieee1394 r1233
- dvb-cvs20040717
- usbvision0.9.6cvs20040717
- spca5xx_26x-10072004
- add zr364xx-0.52
- add vpx3224 and v3tv-radio
- add alsa tvmixer driver
- move all alsa patches to DSxx (xx == 00 - 49)
- tiny resync with Thomas
	squashfs_2.0
	mppe-mppc-1.0

* Fri Jul 16 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.20mdk
- fix building of the rfswitch modules

* Tue Jul 13 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.19mdk
- i810_audio fix the error path of resource management
- ipw2100-0.49
- dvb-cvs20040714
- dri-cvs20040715
- ivtv-0.1.10-pre2-ck99v
- 2.6.7-mh2
- low latency fixes from 2.6.8rc1-mm1
- add "--without apic" build option to disable apic support

* Tue Jul 13 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.18mdk
- fix swsusp2 boot problems
  now it even works on cooker with gcc-3.4 :-)
- ruby build :
  - turn of vesafb till i dig the debian patch to make it module
  - turn framebuffer console to module

* Sat Jul 10 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.17mdk
- ieee1394r1232
- cpufreq_nforce2
- i810_audio mmio support
- ipmi_si_intf.c warning fix
- dvb-cvs20040709
- xfs-cvs20040709
- translucency-morphix_cvs20040709
- rhineget
- acx_io_width16 only when debug enabled
- cfq fixes
- staircase7.9 + 7.9-opt1.patch
- schedbatch2.3
- schediso2.3
- autotune_swappiness
- config_hz
- voluntary-preempt-2.6.7-bk20-H3
- enable both kernel & voluntary preemtion by default
- software suspend v2.0.0.98 
  (doesn't boot here, just to keep in sync)
- turn cramfs to module

* Wed Jul 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.16mdk
- acpi 2.6.7-mm5 (treat with care, good candidate for droping)
- move win4lin in patch tarball
- resync with -ck5
	staircase scheduler 7.9 
	schedbatch 2.2 
	schediso 2.2     
	cfq bad allocation fix

* Tue Jul 06 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.15mdk
- ip_tables DOS fix
- CAN-2004-0497 fix
- proc security fix
- sym_revert_to_2.1.18i 
 (workaround http://bugme.osdl.org/show_bug.cgi?id=bug2994)
- alps psmouse support
- mISDN_cvs_20040705
- forcedeth gige suport
- dvb-20040701
- lids-2.2.0rc2-2.6.7
- enable drm driver for Intel 915
- disable irq sharig for radeon drm driver
  (Radeon IGP troubles ? )

* Thu Jul 01 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.14mdk
- staircase scheduler v7.8
- software-suspend2  2.0.0.90
  (doesn't work if compiled with gcc-3.4 from cooker)
- ieee1394 - allow multiple camera software versions
- another hpt3xx fix

* Mon Jun 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.13mdk
- staircase scheduler v7.7
- xfs-cvs20040628
- dmapi-cvs20040628
- xfs dmapi support
- jfs dmapi support
- packet writing update
- i2c add adm1031 & adm1025
- merge kernel-ruby "--with ruby"
  ruby-2.6.7
- enable gfs & co + drbd on alpha
 
* Sun Jun 27 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.12mdk
- staircase scheduler v7.6

* Sat Jun 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.11mdk
- fix unpackaged file in kernel-source

* Sat Jun 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.10mdk
- isofs fixes from linus tree
	fix_handling_of_inodes_beyond_4GB
	isofs_nfs_fix
	fix_handling_of_slash_embedded_in_filenames_in_isofs
	isofs_fix_ignoring_noexec_and_mode_mount_options
- limit max sectors to_ 566 for PDC20265
- cpufreq-2004-06-25
- agpgart-2004-06-25
- at76c503a-0.12Beta14
- ivtv-0.1.10-pre2-ck97h
- rivatv-cvs20040626
- drop ogfs in favour of GPL'd gfs:
	cman, dlm, lock_harness, gfs, gnbd
	lock_nolock, lock_dlm, lock_gulm
- drbd-0.7_pre8
- update win4lin patches and "--with win4lin

* Fri Jun 25 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.9mdk
- staircase scheduler v7.4

* Fri Jun 25 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.8mdk
- Back to -sds6 but move swsusp2 to a "--with swsusp2" option
  after all it is the cause for the  misterious boot problems.
  If you use the above option kernel will be named kernel-swsusp2.  

* Thu Jun 24 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.7mdk
- rever to sds5 and drop input updates
  to track boot hangs

* Wed Jun 23 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.6mdk
- x86_64-2.6.7-2 patchkit
- usb & ntfs updates from 2.6.7-mm2
- drop DU16_usb-pen_fix.patch 
  (should be fixed by the usb update)
- ieee1394 rev1230
- ipw2100-0.46_3
- prism54-1.2
- orinoco-0.15rc1cvs20040624
- dri-cvs20040624
- dvb-cvs20040623
- dell-laptop lockup fix for alsa
- fix the reiser4 fix for arch !X86
- disable swsusp2 on smp
- VIA V-link handling bugfix

* Wed Jun 23 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.5mdk
- staircase scheduler v7.3

* Mon Jun 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.4mdk
- software suspend v2 (2.0.88 for 2.6.7)
  pretty much testing stuff, but you might have luck

* Mon Jun 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.3mdk
- ipmi updates & fixes
- hpfs fixes
- exaudio-1.62
- viafb_02
- input updates
- mISDN_cvs_20040620
- prism54_usb-cvs20040621
- lids-2.2.0rc1
- bluetooth 2.6.7-mh1
- staircase scheduler v7.1
- alpha - enable some new drivers :
	packetcdvd, prism54, prism54usb, acx_pci, acx_usb,
	iteraid, isdn, mISDN, usb-cpad,cxacru 

* Fri Jun 18 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.2mdk
- fix endless loop in SCSI_SPI_transport_class
  (may be fix scsi sym problems)
- bttv & co updates
- cmpci devexit fix
- nvidia sata libata driver
- reiser4 fixlet for !x86 arches
- drop linux-abi
  breaks ppc/alpha/(put your !x86 arch here)
- ppc :
	disable sysfb & sys dri 
	enable preemtation on UP
	enable reiser4
- make it build on alpha
  disable broken options(isa_virt..)
	CONFIG_SCSI_7000FASST
	CONFIG_ELPLUS
	CONFIG_3C515
	CONFIG_LANCE
	CONFIG_NI52
	CONFIG_NI65
	CONFIG_CS89x0
	CONFIG_DIGIEPCA
	CONFIG_ESPSERIAL=m
	CONFIG_SYNCLINK=m
	CONFIG_RIO=m
	CONFIG_QIC02_TAPE=m
	CONFIG_FTAPE=m
	CONFIG_USB_GADGET=m

* Wed Jun 16 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-q1.sds.1mdk
- merge 2.6.7 final
- audigyls 20040612
- squashfs 2.0
- make nls_default a runtime option
- drop acpi bk updates
  (and hopefully fix the serial issues)
- drop dynamic-timeslice in favour of con's work:
	2.6.7-rc3-s6.E.patch
	2.6.7-rc3.s6.D-schedrange.patch
	2.6.7-rc3.schedrange-batch.patch
	2.6.7-rc3.batch-iso.patch
- various small fixes:
	unregister-driver-if-probing-fails-in-sb_cardc
	sound_opti92x-ad1848-locking-fix
	remove-irda-usage-of-isa_virt_to_bus
	pcmcia-enable-read-prefetch-on-o2micro-bridges-to-fix-hdsp
	fix-memory-leak-in-swsusp
	pmdisk-memleak-fix

* Mon Jun 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc3q1.sds.1mdk
- resync with linus & various bk trees
	linus-2.6.7rc3mm1
	bk_2.6.7rc3mm1-acpi
	bk_2.6.7rc3mm1-driver-core
	bk_2.6.7rc3mm1-pci
	bk_2.6.7rc3mm1-scsi
	bk_2.6.7rc3mm1-input
	bk_2.6.7rc3mm1-i2c
	bk_2.6.7rc3mm1-netdev
	bk_2.6.7rc3mm1-usb
	bk_2.6.7rc3mm1-agpgart
	bk_2.6.7rc3mm1-cifs
	bk_2.6.7rc3mm1-ntfs

- smbfs nautilus oops workaround
  bugzilla_id_1671
- disable udf debugging
- dri-cvs20040608
- hostap-0.2.2cvs20040609
- qcamvc-1.0.7cvs20040608
- acx100-0.2.0pre8_plus_fixes_12
- translucency-cvs20040609 (morphix.sf.net)
- linux-abi-2.6.6

* Mon Jun 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc2q1.sds.5mdk
- don't rebuild aic7xxx firmware
- p4p800 dmi blacklist fix
- disable acer_hk (broken with gcc-3.4)

* Thu Jun 03 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc2q1.sds.4mdk
- reiser4 :
  disk format fix
  rename "metas" to "..metas"
 
* Thu Jun 03 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc2q1.sds.3mdk
- maybe fix some serial issues
  drop CE27_make-proliant-8500-boot-with-26.patch
- subfs_submount-0.9
- smylink rework from -mm tree
- reiser4-20040602 and some needed patches from -mm
- merge latest Thomas updates/fixes
  fix nls cp936
  iteraid 1.45

* Mon Jun 01 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc2q1.sds.2mdk
- 2.6.7-rc2-bk2
- audigyls 20040530
- alsa 1.0.5a
- nforce ck804 ide support 
- schedstats
- tc1100-wmi
- wacom_acpi
- usblp fix
- agp resume fixups
- bk-drm 20040531
- bk-ntfs 20040531
- 2.6.7-rc2-am11
- mISDN cvs20040601
- lids-2.2.0pre5-2.6.6
- merge more stuff from my 2.6.6rc2 tree
	some ide tweaks
	some kbuild tweaks 
	
* Sun May 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc2q1.sds.1mdk
- 2.6.7-rc2
- alsa-1.0.5
- audigy ls support
- new bootsplash

* Sat May 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc1q1.sds.2mdk
- 2.6.7-rc1-bk5
- proliant-8500 boot fix
- radeonfb iBook & IGP fixes
- via-velocity
- 3ware-9000 sata-raid
- isd-300 usb controller
- thinkpad-5.5
- latest bk trees of :
    acpi, agpgart, cpufreq, cifs, i2c
    ntfs, driver-core, usb

* Wed May 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.7-rc1q1.sds.1mdk
- start over with 2.6.7-rc1-1mdk
  netfilter patches not merged
  ( as some of my additions)
- drop bootsplash until fixed
  (no time for investigation right now)
- merge 2.6.7-rc1-bk3
- device mapper 2.6.6-udm1
- add alsa-atiixp_modem
- add alsa-emu10k1x
- update sisfb to 210504
- prism54-cvs20040526.patch
- 3ware-9000 sata-raid
- packet-2.6.6
- broken need_float_conv
	exaudio
	quickcam-vc
	snd-hdspm	
- drop patches without any feature in mdk
	modular OOM
	alternate DVB driver
	
* Mon May 17 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.16mdk
- usb-pen fix

* Mon May 17 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.15mdk
- usb input emulation fix is x86 only
- ivtv-0.1.10-pre2-ck67a
- marvel tv caprture(mgatv) cvs 20040516
	(
	by troubles with msp3400 
	: drop a line, will reinclude marvel_msp3400
	)
- aic7xxx-20040513

* Wed May 12 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.14mdk
- nforce2 disconnect fix 
  ( C1halt is gone and shouldnt be neded )
- i810 audio fixes (oss driver)
- ipw2100 fsam7400-0.3.1
- fpi2002-0.1
- cxacru_2003-10-05
- cpad-0.1
- acx100-0.2.0pre8 + fixes6
	old driver still in : acx100_pci
	new driver	    : acx_pci & acx_usb
- spec fixes for non x86 arches 

* Mon May 10 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.13mdk
- me sucks (fix missing space in preload scriplet)
- cfq default io-scheduler
- add ecc driver
- drop two broken ppc fixes
- fix usb compile on ppc & sparc
- ppc config tweaks
  CONFIG_SERIAL_8250=m
  CONFIG_FB_ATY_XL_INIT=n

* Wed May 05 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.12mdk
- sis900 suspend fix
- update and enable realcap lsm
- various ppc fixes
  (libata on ppc is back)

* Mon May 03 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.11mdk
- fast resync with 2.6.5-1.tmb.5mdk
	add workaround for ppp_mppe from 2.4 series
	iteraid 1.44
- fast resync with 2.6.6.0.rc2.1mdk
	usb-storage update
	sk98lin buggy vpd workaround
	cmpci-6.64
	changeloop
	gzloop
- sis900 yield sched timeout

* Thu Apr 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.10mdk
- enable pwc compilation
  (marked broken in vanilla 2.6.6-rc2)

* Mon Apr 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.9mdk
- bk-acpi-20040426
- bk-scsi-20040426
- bk-usb-20040426
- vesa fbdev update
- bttv & co updates for 2.6.6rc2
- echoaudio-0.8.10
- eagle-usb-1.9.7cvs
- ndiswrapper-0.7
- orinoco-0.15rc1
- crypto_null autoload

* Wed Apr 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.8mdk
- preload modules that are build in-kernel in mdk main kernels
  sort of hackish yet
- build classic oom killer staticly if for club	 
- enable pnpbios support for testing
  it has been disabled for ages, it could be already fixed
- add two more build options
	--without scsidrv	:= don't build low level scsi drivers
	--without libatadrv	:= don't build libata drivers


* Wed Apr 21 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.7mdk
- 2.6.6-rc2
- add Tornado id's to 3C920B
- more kbuild fixes
- drop lot of patches merged upstream
- bk-cpufreq-20040419
- bk-netdev-20040419
- revert vga16fb_fix_bad_mapping (unresolved symbols on ppc)
- acer_hk depends on x86
- full merge of objrmap & anonmm
- selinux inode race trap
- slab leak detector
- lockmeter
- rwsem fixes
- scale rwsem
- use tmb configs for non i386 kernels
  lot of stuff needs enabling, but no hardware to test
  crosscompile for ppc fails oddly
- selective merge with 2.6.3-10mdk
	gzloop (might be broken blkdev_unpluging )
	drm_ioctl32_more_mga_fixes
	max-symlink-to-10
	vfat-nobadchars-option
	supermount-no-warning-when-busy
	CAN-2004-0003-drm_r128
	
* Tue Apr 20 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.6mdk
- ieee1394r1206
- 2.6.5-udm5
- add sata_sii sii3512 id's
- add sata_sis sis964 id's
- sata_sis sis964 hotfix
- via6410 & via6421 id's
- ipw2100-2.6.4-0.40
- 3c509 oops fix
- dyc_ar5k
- cifs-1.0.8-20040418
- nfs3/nfsd3 acl are back in
- move fuse & lufs to fs/
- acer_hk 0.5
- iriver tweak
- ibmcrypto
- warn if module_param and module_parm mixed
- ehci oops fix
- sysfs d_fsdata race fix
- fix umount after bad chdir
- 2.6.4-amd76x_pm
- nforce2-idleC1halt-rd-2.6.5
- nforce2-ioapic-rd-2.6.5
- win4lin support is back too

* Thu Apr 15 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.5mdk
- lpfcdriver 20040409
- bluetooth 2.6.5-mh3
- CAN-2004-0075-vicam
- CAN-2004-0177-ext3
- modpost warn on missing -fno-common
- drop sysfs symlinks fix (breaks alsa unload)
- fix build of smp & secure kernels
  update & fix lids to 2.2.0pre2-2.6.5 
  fix hpt374 os driver on smp

* Wed Apr 14 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.4mdk
- merge up to 2.6.5-bk2 and 2.6.5-mm5 almost
- CAN-2004-0109 isofs fix
- latest bk trees as of 2004-04-12
  agpgart, cpufreq, driver-core, i2c, netdev, pci, usb
- acpi, pnp & co
  pnp-updates
  acer-travelmate-360 interrupt routing fix
  acpi-processor-load
  acpi-link-tolerant
  acpi_skip_timer_wip
  nmi-1-hz-2
  nmi_watchdog-local-apic-fix
- sound
  echoaudio-0.8.10pre3
  cmpci-6.82
- net
  r8169-warning-fix
  i4l-nullpointer-fix
- scsi & co
  3ware-update
  advansys-fix
  mptlinux-3.01.04
  sym53c500cs
  aic7xxx-swsusp-support
- usb & co
  psmouse-usb-fix-3
  rndis fix
- video & framebuffer support
  viafb
  vesafb-rrc
  dvb-cvs20040331
  mxb-saa7111-update
- fs's
  sysfs symlinks fix
  cifs-1.0.6-20040414
  xfs-laptop-mode
- 2.6.5udm2
- packet-2.6.5
- misc 
  disable-cap-mlock
  nonlinear-can-do-mlock
  writeback-lat
  vmscan-less-sleepiness
  call usermodehelper async
  compute creds race fixes
  poll-select fixes
  class_dev_ip2main
- droped (droped from -mm)
	mm_gang_lookup_next
	truncate_inode_pages-check
	O_DIRECT-race-fixes-rollup

* Wed Apr 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.3mdk
cpufreq-2004-04-06
agpgart-2004-04-06
ieee1394r1204
swsusp-update
autofs4 update
scale nr_requests
extend iosched printk
mousedev psaux support add param
IPv4-stealth
saa7134 asus-tv-fm inputs tweak
fix coda old API
udf default uid fix
config-HZ
modular oom kiler
modular mce fix
- scsi tweaks
  sd dont treat nosense as error
  scsi-timeout increase
- usb fixes
  retry some description fetches
  fix xsane hang
  eciadsl fix

* Tue Apr 06 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.2mdk
- usb updates
- bttv & co updates
- alsa-1.0.4
- exaudio-1.59
- revert to working cpufreq
- added --with multimedia 
  to enable realmode capabilities as module
  kernel will be named kernel-sds-mm :-)

* Mon Apr 05 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-q1.sds.1mdk
- 2.6.5 final
- acx100-pre7+fixes6
- packetcdvd for 2.6.5rc3
- dvb (in kernel) drivers should be working again
- various small fixes, updates

* Fri Mar 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-0.rc3.sds.1mdk
- 2.6.5-rc3
- drm-cvs20040328
- cifs-1.0.5-bk20040330
- ipw2100-2.6.4-0.39
- orinoco cvs20040328
- mISDN cvs20040329
- hostap-0.2.1 cvs20040329
- acx100-0.2.0pre7+fixes5
- at76c503a-0.12beta9
- alsa-1.0.4-rc2
  ( echoaudio is still broken ) 
- ipr-2.0.1
- iscsi-4.0.1.2
- sata updates (2.6.5rc3-libata1 + sata_speedup)
- powernow-k8 update
- more nfs fixes
- low latency tweaks 
- yenta TI irq routing fix
- alternate dvb driver (check dvb2 modules :-)
- resync with 2.6.4-q1tmb5
  ndiswrapper-0.6
  powermac sysrq fix
  menu cleanups fix
  drm_ioctl32 fixes
  build scsi initio driver
  non i386 configs & spec file
	--with-laptop should be working, but probably not needed
	--with-win4lin is broken & disabled

* Fri Mar 26 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-0.rc2.sds.2mdk
- 2.6.5-rc2-bk6
- kdb-v4.3-2.6.5-rc2-common-1
- radeonfb_old & radeonfb build fix
- ide_cd capacity fix
- logitech keyboard fix
- add i2c-fjkeyinf
- add i2c-smbus-arp
- ipw2100-2.6.4-0.38
- rtl8150-0.6.1
- usb_serial update
- add usb cytherm
- via_drm
- nfsd-acl & xattr
- nfs-acl & xattr
- reiserfs updates
- shfs-0.33
- genksyms fix
- lightweight-auditing-framework updates
- lids-2.2.0pre1-2.6.3
- dazuko-2.0.1-pre2
- rcu for low latency
- asfs-1.0b3_2.6.3

* Wed Mar 24 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-0.rc2.sds.1mdk
- 2.6.5-rc2-bk4
- 2.6.5-rc2-bk3-libata1
- toshiba_acpi_0.18
- ipw2100-0.37
- orinoco-monitor
- fix snd-msnd
- cmpci-6.64
- add snd-serialmidi
- dvd+rw & dvd-rw packtewriting
  ( require usage of ide-scsi )
- libata updates
- cpufreq update
- agp updates
- lightweight-auditing-framework

* Thu Mar 18 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.5-0.rc1.sds.1mdk
- fix oops on lirc-dev unload
- mostly a resync
- various updates
  aic79xx-20040316
  alsa
  bttv & co
  dvb 
  hpt366 fixes
  ieee1394r1193
  ipw2100-0.34
  isdn kcapi
  prism54
  toshiba acpi 0.18
  usb
  various other bitts
- new
  iteraid
  random write cdrom devices with profile 2
- dropped
  CardServices compatibility layer
- broken/ incomplete
  the additional alsa drivers
  - msnd, usx2y, echoaudio
- non i386 configs need to be resynced
- disabled various debug options
- modular nfs, nls, unix, mice

* Tue Mar 16 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.6.4-1.sds.1mdk
- acpi-20040311
- another hpt366 fix
- bk-scsi
- bk-usb
- bk-pci
- bk-netdev
- watchdog-2.6.4
- ieee1394r1190
- ide-cleanups
- ide-scsi error handling
- isdn_cvs20040315
- mISDN_cvs_20040315
- ipw2100-0.32
- drm add class_dev
- hpfs2-RC4-rc1
- hpfs_namei-RC4-rc1
- xfs-cvs + dmapi
- x86_64-update
- uml-2.6.4-1
- uml-host-skas3
- packet-2.6.4-rc2
- posix message queues
- cfq-5-ionice-schedprio
- 2.6.4-am9
- various alsa fixes by DJ
	gusextreme_error_path
	fix_oops_on_failed_initialisation
	Fix_lots_opses_in_card_probing_routines
	es968_double_free
	Misc_cleanups
	crap_in_sys_after_module_exit
- mdacon is broken on ruby, not vanilla
- 3rdparty updates, additions
	dfg1394-1.1cvs20040314
	dxr3-0.14_20040313
	pvfs2-0.1.1
	
* Thu Mar 11 2004 Thomas Backlund <tmb@mandrake.org> 2.6.4-1.tmb.1mdk
- resync with kernel.org 2.6.4
  * dropped 103 patches merged upstream
- disable packet writing support :-(  until it's updated to 2.6.4

* Thu Mar 11 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-4.tmb.3mdk
- BadRAM support for ix86 (initial patch by Udo Rader)
  * fixed bug that disabled __free_page(page) if BadRAM is disabled
  * modified so it actually builds with tmb kernels
  * modified so that it's possible to build a kernel with it disabled
  * add BadRAM info to /proc/meminfo 
- clean 3rdparty mod_marvel tarball
- remove 3rdparty Makefile with mrproper, as it's autogenerated
- set CONFIG_8139_RXBUF_IDX=2, was set for embedded systems...  :-( 
- ndiswrapper 0.5
- Intel Pro Wireless 2100 (centrino) 0.29
- update sis190 and sis900 nics
- update pcnet32 to 1.28, fixes hangs
- updated alpha and sparc64 configs (Stefan)
- updated ppc config (Danny)
- aic79xx 20040209 (svetljo)
- acpi 2004020 (svetljo)
- add support for scsi media changers (svetljo)
- alsa 1.0.3 (svetljo)
  * update usx2y, msnd, pdplus patches
  * update to echoaudio 0.8.8rc1
  * add support for Intel8x0 and AMD768/8111 based modems
  * add support for RME Hammerfall DSP MADI soundcards
  * add support for ATI IXP 150/200/250 AC97 controller
- ieee1394 firewire rev 1181 (svetljo)
- update adaptec i2o dpt raid controllers (svetljo)
- add support for HP OmniBook (svetljo)
- update Permedia2 driver (svetljo)
- update ATI IXP IDE support (svetljo)
- fix matroxfb yres virtual (svetljo)
- add support for modular vesafb (svetljo)
- add support for tahoe 9xx serial cards (svetljo)
- add support for Berkshire Products USB-PC watchdog (svetljo)
- update video drivers: (svetljo)
  * cpia, v4l, bt832, tuner, bttv, saa7134, cx88, i2c, zoran
  * update documentation
- add saa5546a Teletext support (svetljo)
- update cifs to 1.04bk20040229 (svetljo)
- ext3 support for online resizing (svetljo)
- update hfs and add support for hfsplus (svetljo)
- update umsdos support (svetljo)
- add support for ufs2 filesystem (svetljo)
- update udf support (svetljo)
- update xfs support (svetljo)
- hostap 0.2.1 cvs 20040303 (svetljo)
- prism54 cvs 20040229 (svetljo)
- prism25 0.2.1-pre20 (svetljo)
- bcm5700 7.1.22 (svetljo)
- at76c503a 0.12Beta7 (svetljo)
- fuse 1.1 final (svetljo)
- usbvision 0.9.6 (svetljo)
- ogfs cvs20040302 (svetljo)
- Gatos ATI AIW capture driver (svetljo)
- cdfs 2.6.3 (svetljo)
- NOARP ARP filter 2.0.0 (svetljo)
- exaudio 1.58 (svetljo)
- updates and addons for device-mapper: (svetljo)
  * transparent device encryption
  * support mutipath hardware
  * snapshot, mirror, kcopycd support
  * bad block relocation support
  * evms support
  * lock fixes, bugfixes, updates...
- packet writing support (svetljo)
- add sysfs classes ppp, raw, vc (svetljo)
- add modular support to mce handler (svetljo)
- dbus over netlink socket support (svetljo)
- fix vc init race (svetljo)
- add support for Linux event logging (svetljo)
- mark mda console broken (svetljo)
- cloop 2.0.1 (svetljo)
- support IBM RAS Service processor (svetljo)
- add support for Cirrus PD6729 Compatible bridge support (svetljo)
- add support for IBM Power Linux RAID adapters (svetljo)
- add support for Swappiness Autoregulation (svetljo)
- add support for USB EPCAM Cameras (svetljo)
- acx100 0.2.0-pre7 + 20040219 updates and fixes (svetljo)
- spca5x video driver 20040228 (svetljo)
- quickcam-vc 1.0.7 (svetljo)
- fix Intel e1000 hang (svetljo)
- update dvb support: (svetljo)
  * docs, saa7134, skystar, frontends, stv0299, tda1004x, av7110, ttusb

* Sun Mar 07 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-4.tmb.2mdk
- quiet down atkbd warnings...
- require gcc 3.3.2-6mdk or newer since I build with -funit-at-a-time
- remove qla2xxx from 3rdparty as it's already in main kernel.org
  * move qla addons from 3rdparty to main scsi qla tree
- fix kdb kernel debugger (Douglas Wilkins)
  * minor -> MINOR
  * kdb belongs in kern_table, not in fs_table
- fix rmmod hang (svetljo)
- add support for mppe (svtljo)
- make quiet mode real quiet (svetljo)
- block ide-scsi for ide cdroms (svetljo)
- enable Silicon Image Serial ATA (svetljo)
- fix 3rdparty merge lost in sync with main (svetljo)

* Mon Mar 02 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-4.tmb.1mdk
- sync with main 2.6.3-4mdk
  * netfilter rtsp.
  * dcache security fix.
  * usb released wait on deregister bus.
  * usb-storage update.
  * ICH6 piix/libata support.
  * aacraid update.
  * sk98lin update.
  * mtp fusion update to 3.00.03.
  * ext3 fix access POSIX compiliant.
  * pm runtime deadlock fix.
  * sg direct io allowed as default.
  * bdclaim security oops fix.
  * blacklist Compaq ProLiant DL360 (acpi=off).
  * ipmi v30 (erwan request).
- fixed configs for alpha and sparc64 (Stefan)
-

* Tue Feb 24 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-2.tmb.1mdk
- sync with main 2.6.3-2mdk
  * bootsplash compil depend fix (chmou).
  * no more ide cdrom use ide-scsi.
  * fix libata pci quirks (remove 0x24d1).
  * parport updates.
  * enable ATM in BOOT kernel (tv request).
- a few fixes from alsa cvs
  * emu10k, ac97, cmipci

* Tue Feb 24 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-1.tmb.3mdk
- make sure scsi initio is built too
- add -funit-at-a-time back

* Sun Feb 22 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-1.tmb.2mdk
- fix bootsplash

* Sun Feb 22 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-1.tmb.1mdk
- fully synced with kernel-2.6.3.1mdk
- build i686-up-4GB kernel too
- i2c fixes
- add Asus P4B533-V to pci quirks

* Mon Feb 16 2004 Thomas Backlund <tmb@mandrake.org> 2.6.2-1.tmb.2mdk
- selected fixes from kernel-2.6.2.3mdk
  * pmpbios off by default
  * 8259 timer ack fix
  * selinux enforce node fix
  * xattr error checking fix
  * smb uid/gid permission fix
- modify alpha.config (stefan)
- disable ia64 support
- drop CP02_nforce2_disconnect_quirk
  * raises cpu temp about 6 degrees C according to acpi-devel ML :(
- drop CP03_nforce2_apic_io-edge_fix
  * does not work anymore
- redo CP05 for correct patches to mpparse on ix86 and amd64
- drop CA10_pcix-enhanced.patch
  * this is the one that breaks nforce2 systems
- drop DA20_sysfs-class-10-vc.patch
  * this still triggers the tty locking race (akpm)
- make sure kernel-source is readable by all (chmod -R a+rX)
- disable -funit-at-a-time for now, seems to break current gcc

* Sun Feb  8 2004 Thomas Backlund <tmb@mandrake.org> 2.6.2-1.tmb.1mdk
- fully synced with kernel-2.6.2.1mdk
- add 2.6.3-rc1 as a patch (so we don't change version)
  * includes alsa 1.0.2c
  * network fixes, netfilter fixes
  * sisfb updated
  * scsi fixes, aha152x fixes
  * + lots of other fixes...
- add sparc/sparc64 configs & fixes done on sparc.eijk.nu
- switch on smp and BOOT for sparc/sparc64
- add alpha configs & fixes done on alpha.eijk.nu
- switch on smp and BOOT for alpha
- modifications to lufs 0.9.7 (jaco)
  * Preserve LUFS filesystem uid/gid's if configured
  * Allow external links if configured
- usb pwc 9.0 beta1 (request by Warly)
- pci.ids 20040207tmb
- build i386 and amd64 with -funit-at-a-time if compiler supports it
- updated requirements for build / install:
  * module-init-tools >= 3.0-0.pre9.2mdk
  * modutils >= 2.4.26-3mdk
  * mkinitrd >= 3.5.18-3mdk
  * bootloader-utils >= 1.6-4mdk

* Wed Jan 28 2004 Thomas Backlund <tmb@mandrake.org> 2.6.2-0.rc2.1.tmb.2mdk
- fix pre/rc kernel versioning...
- redo DA10: alsa 1.0.2 patch
  * alsa developers reuploaded the tarball with a few fixes
    without other notice than the bugtracker :(
  * make sure we display correct alsa version: 1.0.2

* Tue Jan 27 2004 Thomas Backlund <tmb@mandrake.org> 2.6.2-0.rc2.1.tmb.1mdk
- 2.6.2-rc2
- alsa 1.0.2
- forcedeth 0.22
- squashfs 1.3r3
- pci.ids 20040125tmb
- sync with 2.6.2-0.rc1.1mdk
  * force inline memcmp when use Os (gb)
  * slim BOOT kernel.
  * ndis wrapper 0.4.
  * acpi 20031203.
  * raid6 20040107.
  * nfs/nfsd updates.

* Wed Jan 20 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.10mdk
- argh... me sucks... agp stuff should stay as modules

* Tue Jan 20 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.9mdk
- 2.6.1-bk6
- sync with -mm5
- dropped ramdisk leak patches CF03, CF04 (mm5: was wrong)
- dropped DA32_ide-siimage-stack-fix (mm5: needs to be reworked)
- dropped ppc64 fixes CB01-CB07 (merged upstream)
- dropped CF01, CF02, DA33, DA41, DF02, DF03, DN21 (merged upstream)
- dropped remove_CardServices DO01 - DO07 (merged upstream)
- dropped v4l patches DV21-DV30 (merged upstream)
- dropped ext2/3 fixes FE01-FE04, xfs FX01 (merged upstream)
- dropped BA01, BA03, BI03, FA05, FJ01, ME01, ME02 (merged upstream)
- dropped acpi CE05-CE08, kdb CK01-CK03, CM01, CM03 (merged upstream)
- dropped sysfs patches MS01-MS05, MS07-MS09 (merged upstream)
- resync DA10_alsa_1.0.1, DA22_alsa_bt87x
- resync DC01 pci.ids.tmb
- resync FA04_invalidate_inodes-speedup
- resync FA08_O_DIRECT-race-fixes-rollup
- CA02: define MAX_INIT_ARGS/ENVS 32 to support more kernel args (Jaco)
- FS01: upgrade supermount-ng to 2.0.4-2.6.1

* Mon Jan 19 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.8mdk
- 2.6.1-bk4
- drop patches: (merged upstream)
  * DA01-DA07, DA19, DA36-DA38, DF05
- resynced patches DV01-DV16 and moved to DV20-DV30 (v4l)
- make some more drivers modules instead of builtin...
- from -mm4:
  * update libata 0.52
  * pcmcia CardService updates
  * sysfs support
  * readd alsa sysfs
  * md blockdevice fixes
  * restore HT detection algoritm
  * ramdisk and fixes and cleanup
  * ali m1533 dma hang fix
  * change BUG to BUG_ON calls for code speedup
  * laptop mode support
  * fix msi megaraid id
  * fix keyboard scancode to keep 2.4 compability
  * fix kernel-locking doc tmplate
- scsi aic79xx 20031222 (svetljo)
- cifs 1.00 (svetljo)
- 3rdparty qc-usb 0.6.0 (svetljo)

* Tue Jan 13 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.7mdk
- fix changelog for 5mdk
- add initial support more arches
  * alpha, ia64, x86_64, sparc, sparc64
  * add configs for all above (based on 2.6.1 defconfigs)
  * enable them in the scripts
  * please tell me what you want changed in the configs,
    as I don't have the h/w myself...
- drop loop related patches DB21-DB27 gotten from -mm as they 
  are broken (svetljo)
- gzip modules to minimize needed space for installed kernel
- make apm support builtin, not as module

* Mon Jan 12 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.6mdk
- back out drm/dri 20040107cvs (seems to cause xfree hangs)
- fix changelog typos for 1mdk to 4mdk

* Sun Jan 11 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.5mdk
- drop pnp-fix-1, makes kernel oops with Bad EIP (svetljo)
- dont depend on udev and sysfsutils, atleast for now (svetljo)

* Sun Jan 11 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.4mdk
- keep BLK_DEV_MD builtin, not as a module

* Sun Jan 11 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.3mdk
- another quick fix... (me sux again :-()
- fix 3rdparty config... (svetljo)
- fix unpackaged files
- disable BLK_DEV_IDEPNP
- sync some more of the configs from kernel-2.6 in contribs

* Sat Jan 10 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.2mdk
- bugfix for broken sound, me sux :-(
- drop the alsa sysfs patch until all sysfs patches are added...

* Sat Jan 10 2004 Thomas Backlund <tmb@mandrake.org> 2.6.1-1.tmb.1mdk
- 2.6.1
- add --with nosrc option to build nosrc.rpm
- fix typo in description (jaco)
- disable CONFIG_REISERFS_CHECK
- disable IEEE1394_OUI_DB
- disable MTD_DOC2000 (wont build)
- build agp drivers as modules
- dropped a lot of patches (merged upstream):
  * CA09-CA11, CA13, CA15, CA17, CA19-CA24, CA27-CA28, CA35, CA37-CA40,
  * CA43-CA44, CB10, CC01, CI01, CM04-CM09, CS01, DA04, DA11-DA12, 
  * DA16, DA18, DA21-DA22, DB01-DB04, DB16-DB23, DF03, DI01-DI02,
  * DM01-DM02, DN01, DN05, DP01, DS01, DU01, DV13-DV14, FA01, FA03,
  * FA07, FA09, FE01-FE03, FQ01 
- dropped patches that needs verification:
  * CA08, CA12, CA14, CA33, CA36, CB11-CB12, DA15, DA20, 
  * DB05-DB06, DB08
- rediffed patches:
  * DS02, DV02
- replaced patches with newer ones:
  * DB09-DB14 replaced with DB21-DB27 (from mm1)
  * DA17 with DA37-DA38
- forcedeth 0.20
- pci.ids 20040109tmb
- supermount-ng 2.0.3a
- ieee1394 rev 1092
  * typos fixed, updated oui.db
- ext2 / ext3 fixes (from mm1)
  * inode fixes, debug fixes, next generation fixes
- libata sata_sil 0.52 updates (from mm1) 
  * support 3114, add another 3112 model (from mm1)
- add support for radeon Yd (from mm1)
- drm/dri 20040107 cvs (from mm1)
- NetGear FA311 mac byte swap address fix (from mm1)
- scsi fixes (from mm1)
  * inia100 fixes
  * qla1280 fixes
- misc fixes (from mm1)
  * rmmod race fix
  * rtc leak fix
  * vc init race fix
- nforce2 fixes for disconnect_quirk, io_apic edge (svetljo)
- alsa 1.0.1 (from mm1)
- alsa 1.0.1 addons (svetljo)
  * nforce 3 support
  * add sysfs class
  * aureal/vortex/vortex2
  * usx2y, pdplus, mixart, msnd, pdaudio, bt87x
  * echoaudio 0.8.3
- hpt374 autotune fix (svetljo)
- 3rparty drivers (svetljo)
  * bcm5700 7.1.9
  * bcm4400 3.0.7
  * qla2xxx-8.00.00b8
  * ivtv-281103cvs
  * hfsplus_20030930
  * viahss-0.92
  * ogfs
  * w9968cf-1.24
  * vt_ar5k-20030509
  * fuse-1.1_pre1
  * airo_mpi-20031220
  * svgalib_helper-1.9.18
- 3rdparty Makefile, Kconfig, misc fixes (svetljo)

* Thu Jan  1 2004 Thomas Backund <tmb@mandrake.org> 2.6.0-1.tmb.1mdk
- first kernel-tmb based on 2.6.0 final made by Nicholas
- squashfs 1.3r2
- pci.ids 2003-12-09 + my addons
- use some specfile and scripts magic from Juans 2.4.spec
- fix postun macros
- merge changes from contrib kernel-2.6-2.6.0-1mdk
  * thanks to Oliver Blin and Oliver Thauvin for their great work
  * keep preemptive and cramfs buitin for now...
  * supermount 2.0.3

* Thu Dec 18 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0 final version ;)
- ndis wrapper 0.3.
- fix uss725.

* Wed Dec 17 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-0.5mdk
- bk13.
- acecad 1.3.
- uss725.
- bttv videodev i2c videobuf updates 20031216.
- dvb timeout fix.
- mod_marvel (Kevin O'Connor).
- matrox_fb fixes (Kevin O'Connor).
- forcedeth v19.
- kdb build fix.
- add siimage 3114 support.
- prism25 0.2.1-pre16.
- qc-usb cvs20031216.

* Fri Dec 12 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-0.4mdk
- bk8.
- add vt|ar5k wireless chipset support.
- dos partition table consistency.
- warly touch boot logo ;)
- ndis wrapper 0.2. (only for up kernel)
- alsa 1.0.0rc2.
- agpgart and mousedev as built-in.

* Thu Dec 04 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-0.3mdk
- bk1:
  * ide-scsi.c uninitialized variable
  * x86 kernel page fault error codes
  * lost wakeups problem
  * missing initialization of /proc/net/tcp seq_file
- rework merge version.h (now all kernel have UTS_RELEASE defined)
- 2.6.0-test11q2 :
  * libata update
  * pwc 8.12
  * prism54 cvs20031203
  * alsa 1.0.0rc1

* Fri Nov 28 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-0.2mdk
- re-support on the fly module building (great for properitary packages)
- 2.6.0-test11q2 :
  * lots of mm patches
  * import somes 3rdparty and patches : (svetoslav)
    * lirc
    * at76c503a
    * bcm5700
    * dfg1394
    * dxr3
    * iscsi-mod
    * lufs
    * ov511
    * prism25
    * prism54
    * qc-usb

* Mon Nov 24 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.6.0-0.1mdk
- First version to move on kernel-2.6.0. (aka: ready for a new age).
- 2.6.0-test10q1 :
  * only i386 config for the moment
  * bootsplash 3.1.3
  * mdk logo
  * forcedeth v18
  * adiusbadsl 1.0.4 (untested)
  * acx100 0.2.0pre6
  * hostap 0.1.2

# Local Variables:
# rpm-spec-insert-changelog-version-with-shell: t
# End:
